# rtsp stream

The GstRTSPStream object manages the data transport for one stream. It is created from a payloader element and a source pad that produce the RTP packets for the stream.

With gst_rtsp_stream_join_bin the streaming elements are added to the bin and rtpbin. gst_rtsp_stream_leave_bin removes the elements again.

The GstRTSPStream will use the configured addresspool, as set with gst_rtsp_stream_set_address_pool, to allocate multicast addresses for the stream. With gst_rtsp_stream_get_multicast_address you can get the configured address.

With gst_rtsp_stream_get_server_port () you can get the port that the server will use to receive RTCP. This is the part that the clients will use to send RTCP to.

With gst_rtsp_stream_add_transport destinations can be added where the stream should be sent to. Use gst_rtsp_stream_remove_transport to remove the destination again.

Each GstRTSPStreamTransport spawns one queue that will serve as a backlog of a controllable maximum size when the reflux from the TCP connection's backpressure starts spilling all over.

Unlike the backlog in rtspconnection, which we have decided should only contain at most one RTP and one RTCP data message in order to allow control messages to go through unobstructed, this backlog only consists of data messages, allowing us to fill it up without concern.

When multiple TCP transports exist, for example in the context of a shared media, we only pop samples from our appsinks when at least one of the transports doesn't experience back pressure: this allows us to pace our sample popping to the speed of the fastest client.

When a sample is popped, it is either sent directly on transports that don't experience backpressure, or queued on the transport's backlog otherwise. Samples are then popped from that backlog when the transport reports it has sent the message.

Once the backlog reaches an overly large duration, the transport is dropped as the client was deemed too slow.

## GstRTSPStream

    GObject
        ╰──GstRTSPStream

The definition of a media stream.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPStreamClass

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPStreamClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPStreamClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPStream

    GObject.Object
        ╰──GstRtspServer.RTSPStream

The definition of a media stream.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPStream

    GObject.Object
        ╰──GstRtspServer.RTSPStream

The definition of a media stream.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_stream_new

    GstRTSPStream *
    gst_rtsp_stream_new (guint idx,
                         GstElement * payloader,
                         GstPad * pad)

Create a new media stream with index idx that handles RTP data on pad and has a payloader element payloader if pad is a source pad or a depayloader element payloader if pad is a sink pad.

Parameters:

`idx` –

an index

`payloader` –

a GstElement

`pad` –

a GstPad

Returns ( [transfer: full]) –

a new GstRTSPStream

#### GstRtspServer.RTSPStream.prototype.new

    function GstRtspServer.RTSPStream.prototype.new(idx: Number, payloader: Gst.Element, pad: Gst.Pad): {
        // javascript wrapper for 'gst_rtsp_stream_new'
    }

Create a new media stream with index idx that handles RTP data on pad and has a payloader element payloader if pad is a source pad or a depayloader element payloader if pad is a sink pad.

Parameters:

`idx` (Number) –

an index

`payloader` (Gst.Element) –

a Gst.Element

`pad` (Gst.Pad) –

a Gst.Pad

Returns (GstRtspServer.RTSPStream) –

a new GstRtspServer.RTSPStream

#### GstRtspServer.RTSPStream.new

    def GstRtspServer.RTSPStream.new (idx, payloader, pad):
        #python wrapper for 'gst_rtsp_stream_new'

Create a new media stream with index idx that handles RTP data on pad and has a payloader element payloader if pad is a source pad or a depayloader element payloader if pad is a sink pad.

Parameters:

`idx` (int) –

an index

`payloader` (Gst.Element) –

a Gst.Element

`pad` (Gst.Pad) –

a Gst.Pad

Returns (GstRtspServer.RTSPStream) –

a new GstRtspServer.RTSPStream

### Methods

#### gst_rtsp_stream_add_multicast_client_address

    gboolean
    gst_rtsp_stream_add_multicast_client_address (GstRTSPStream * stream,
                                                  const gchar * destination,
                                                  guint rtp_port,
                                                  guint rtcp_port,
                                                  GSocketFamily family)

Add multicast client address to stream. At this point, the sockets that will stream RTP and RTCP data to destination are supposed to be allocated.

Parameters:

`stream` –

a GstRTSPStream

`destination` ( [transfer: none]) –

a multicast address to add

`rtp_port` –

RTP port

`rtcp_port` –

RTCP port

`family` –

socket family

Returns –

TRUE if destination can be addedd and handled by stream.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.add_multicast_client_address

    function GstRtspServer.RTSPStream.prototype.add_multicast_client_address(destination: String, rtp_port: Number, rtcp_port: Number, family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_add_multicast_client_address'
    }

Add multicast client address to stream. At this point, the sockets that will stream RTP and RTCP data to destination are supposed to be allocated.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`destination` (String) –

a multicast address to add

`rtp_port` (Number) –

RTP port

`rtcp_port` (Number) –

RTCP port

`family` (Gio.SocketFamily) –

socket family

Returns (Number) –

true if destination can be addedd and handled by stream.

Since : 1.16

#### GstRtspServer.RTSPStream.add_multicast_client_address

    def GstRtspServer.RTSPStream.add_multicast_client_address (self, destination, rtp_port, rtcp_port, family):
        #python wrapper for 'gst_rtsp_stream_add_multicast_client_address'

Add multicast client address to stream. At this point, the sockets that will stream RTP and RTCP data to destination are supposed to be allocated.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`destination` (str) –

a multicast address to add

`rtp_port` (int) –

RTP port

`rtcp_port` (int) –

RTCP port

`family` (Gio.SocketFamily) –

socket family

Returns (bool) –

True if destination can be addedd and handled by stream.

Since : 1.16

#### gst_rtsp_stream_add_transport

    gboolean
    gst_rtsp_stream_add_transport (GstRTSPStream * stream,
                                   GstRTSPStreamTransport * trans)

Add the transport in trans to stream. The media of stream will then also be send to the values configured in trans. Adding the same transport twice will not add it a second time.

stream must be joined to a bin.

trans must contain a valid GstRTSPTransport.

Parameters:

`stream` –

a GstRTSPStream

`trans` ( [transfer: none]) –

a GstRTSPStreamTransport

Returns –

TRUE if trans was added

#### GstRtspServer.RTSPStream.prototype.add_transport

    function GstRtspServer.RTSPStream.prototype.add_transport(trans: GstRtspServer.RTSPStreamTransport): {
        // javascript wrapper for 'gst_rtsp_stream_add_transport'
    }

Add the transport in trans to stream. The media of stream will then also be send to the values configured in trans. Adding the same transport twice will not add it a second time.

stream must be joined to a bin.

trans must contain a valid GstRtsp.RTSPTransport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (Number) –

true if trans was added

#### GstRtspServer.RTSPStream.add_transport

    def GstRtspServer.RTSPStream.add_transport (self, trans):
        #python wrapper for 'gst_rtsp_stream_add_transport'

Add the transport in trans to stream. The media of stream will then also be send to the values configured in trans. Adding the same transport twice will not add it a second time.

stream must be joined to a bin.

trans must contain a valid GstRtsp.RTSPTransport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (bool) –

True if trans was added

#### gst_rtsp_stream_allocate_udp_sockets

    gboolean
    gst_rtsp_stream_allocate_udp_sockets (GstRTSPStream * stream,
                                          GSocketFamily family,
                                          GstRTSPTransport * transport,
                                          gboolean use_client_settings)

Allocates RTP and RTCP ports.

Parameters:

`stream` –

a GstRTSPStream

`family` –

protocol family

`transport` –

transport method

`use_client_settings` –

Whether to use client settings or not

Returns –

TRUE if the RTP and RTCP sockets have been succeccully allocated.

#### GstRtspServer.RTSPStream.prototype.allocate_udp_sockets

    function GstRtspServer.RTSPStream.prototype.allocate_udp_sockets(family: Gio.SocketFamily, transport: GstRtsp.RTSPTransport, use_client_settings: Number): {
        // javascript wrapper for 'gst_rtsp_stream_allocate_udp_sockets'
    }

Allocates RTP and RTCP ports.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

protocol family

`transport` (GstRtsp.RTSPTransport) –

transport method

`use_client_settings` (Number) –

Whether to use client settings or not

Returns (Number) –

true if the RTP and RTCP sockets have been succeccully allocated.

#### GstRtspServer.RTSPStream.allocate_udp_sockets

    def GstRtspServer.RTSPStream.allocate_udp_sockets (self, family, transport, use_client_settings):
        #python wrapper for 'gst_rtsp_stream_allocate_udp_sockets'

Allocates RTP and RTCP ports.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

protocol family

`transport` (GstRtsp.RTSPTransport) –

transport method

`use_client_settings` (bool) –

Whether to use client settings or not

Returns (bool) –

True if the RTP and RTCP sockets have been succeccully allocated.

#### gst_rtsp_stream_complete_stream

    gboolean
    gst_rtsp_stream_complete_stream (GstRTSPStream * stream,
                                     const GstRTSPTransport * transport)

Add a receiver and sender part to the pipeline based on the transport from SETUP.

Parameters:

`stream` –

a GstRTSPStream

`transport` –

a GstRTSPTransport

Returns –

TRUE if the stream has been successfully updated.

Since : 1.14

#### GstRtspServer.RTSPStream.prototype.complete_stream

    function GstRtspServer.RTSPStream.prototype.complete_stream(transport: GstRtsp.RTSPTransport): {
        // javascript wrapper for 'gst_rtsp_stream_complete_stream'
    }

Add a receiver and sender part to the pipeline based on the transport from SETUP.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (Number) –

true if the stream has been successfully updated.

Since : 1.14

#### GstRtspServer.RTSPStream.complete_stream

    def GstRtspServer.RTSPStream.complete_stream (self, transport):
        #python wrapper for 'gst_rtsp_stream_complete_stream'

Add a receiver and sender part to the pipeline based on the transport from SETUP.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (bool) –

True if the stream has been successfully updated.

Since : 1.14

#### gst_rtsp_stream_get_address_pool

    GstRTSPAddressPool *
    gst_rtsp_stream_get_address_pool (GstRTSPStream * stream)

Get the GstRTSPAddressPool used as the address pool of stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

the GstRTSPAddressPool of stream. g_object_unref after usage.

#### GstRtspServer.RTSPStream.prototype.get_address_pool

    function GstRtspServer.RTSPStream.prototype.get_address_pool(): {
        // javascript wrapper for 'gst_rtsp_stream_get_address_pool'
    }

Get the GstRtspServer.RTSPAddressPool used as the address pool of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtspServer.RTSPAddressPool) –

the GstRtspServer.RTSPAddressPool of stream. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPStream.get_address_pool

    def GstRtspServer.RTSPStream.get_address_pool (self):
        #python wrapper for 'gst_rtsp_stream_get_address_pool'

Get the GstRtspServer.RTSPAddressPool used as the address pool of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtspServer.RTSPAddressPool) –

the GstRtspServer.RTSPAddressPool of stream. GObject.Object.unref after usage.

#### gst_rtsp_stream_get_buffer_size

    guint
    gst_rtsp_stream_get_buffer_size (GstRTSPStream * stream)

Get the size of the UDP transmission buffer (in bytes)

Parameters:

`stream` –

a GstRTSPStream

Returns –

the size of the UDP TX buffer

Since : 1.6

#### GstRtspServer.RTSPStream.prototype.get_buffer_size

    function GstRtspServer.RTSPStream.prototype.get_buffer_size(): {
        // javascript wrapper for 'gst_rtsp_stream_get_buffer_size'
    }

Get the size of the UDP transmission buffer (in bytes)

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

the size of the UDP TX buffer

Since : 1.6

#### GstRtspServer.RTSPStream.get_buffer_size

    def GstRtspServer.RTSPStream.get_buffer_size (self):
        #python wrapper for 'gst_rtsp_stream_get_buffer_size'

Get the size of the UDP transmission buffer (in bytes)

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –

the size of the UDP TX buffer

Since : 1.6

#### gst_rtsp_stream_get_caps

    GstCaps *
    gst_rtsp_stream_get_caps (GstRTSPStream * stream)

Retrieve the current caps of stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

the GstCaps of stream. use gst_caps_unref after usage.

#### GstRtspServer.RTSPStream.prototype.get_caps

    function GstRtspServer.RTSPStream.prototype.get_caps(): {
        // javascript wrapper for 'gst_rtsp_stream_get_caps'
    }

Retrieve the current caps of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Caps) –

the Gst.Caps of stream. use gst_caps_unref (not introspectable) after usage.

#### GstRtspServer.RTSPStream.get_caps

    def GstRtspServer.RTSPStream.get_caps (self):
        #python wrapper for 'gst_rtsp_stream_get_caps'

Retrieve the current caps of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Caps) –

the Gst.Caps of stream. use gst_caps_unref (not introspectable) after usage.

#### gst_rtsp_stream_get_control

    gchar *
    gst_rtsp_stream_get_control (GstRTSPStream * stream)

Get the control string to identify this stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

the control string. g_free after usage.

#### GstRtspServer.RTSPStream.prototype.get_control

    function GstRtspServer.RTSPStream.prototype.get_control(): {
        // javascript wrapper for 'gst_rtsp_stream_get_control'
    }

Get the control string to identify this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (String) –

the control string. GLib.prototype.free after usage.

#### GstRtspServer.RTSPStream.get_control

    def GstRtspServer.RTSPStream.get_control (self):
        #python wrapper for 'gst_rtsp_stream_get_control'

Get the control string to identify this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (str) –

the control string. GLib.free after usage.

#### gst_rtsp_stream_get_current_seqnum

    guint16
    gst_rtsp_stream_get_current_seqnum (GstRTSPStream * stream)

Parameters:

`stream` –
No description available
Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.get_current_seqnum

    function GstRtspServer.RTSPStream.prototype.get_current_seqnum(): {
        // javascript wrapper for 'gst_rtsp_stream_get_current_seqnum'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (Number) –
No description available

#### GstRtspServer.RTSPStream.get_current_seqnum

    def GstRtspServer.RTSPStream.get_current_seqnum (self):
        #python wrapper for 'gst_rtsp_stream_get_current_seqnum'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (int) –
No description available

#### gst_rtsp_stream_get_dscp_qos

    gint
    gst_rtsp_stream_get_dscp_qos (GstRTSPStream * stream)

Get the configured DSCP QoS in of the outgoing sockets.

Parameters:

`stream` –

a GstRTSPStream

Returns –

the DSCP QoS value of the outgoing sockets, or -1 if disbled.

#### GstRtspServer.RTSPStream.prototype.get_dscp_qos

    function GstRtspServer.RTSPStream.prototype.get_dscp_qos(): {
        // javascript wrapper for 'gst_rtsp_stream_get_dscp_qos'
    }

Get the configured DSCP QoS in of the outgoing sockets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

the DSCP QoS value of the outgoing sockets, or -1 if disbled.

#### GstRtspServer.RTSPStream.get_dscp_qos

    def GstRtspServer.RTSPStream.get_dscp_qos (self):
        #python wrapper for 'gst_rtsp_stream_get_dscp_qos'

Get the configured DSCP QoS in of the outgoing sockets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –

the DSCP QoS value of the outgoing sockets, or -1 if disbled.

#### gst_rtsp_stream_get_index

    guint
    gst_rtsp_stream_get_index (GstRTSPStream * stream)

Get the stream index.

Return: the stream index.

Parameters:

`stream` –

a GstRTSPStream

Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.get_index

    function GstRtspServer.RTSPStream.prototype.get_index(): {
        // javascript wrapper for 'gst_rtsp_stream_get_index'
    }

Get the stream index.

Return: the stream index.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –
No description available

#### GstRtspServer.RTSPStream.get_index

    def GstRtspServer.RTSPStream.get_index (self):
        #python wrapper for 'gst_rtsp_stream_get_index'

Get the stream index.

Return: the stream index.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –
No description available

#### gst_rtsp_stream_get_joined_bin

    GstBin *
    gst_rtsp_stream_get_joined_bin (GstRTSPStream * stream)

Get the previous joined bin with gst_rtsp_stream_join_bin or NULL.

Return: (transfer full) (nullable): the joined bin or NULL.

Parameters:

`stream` –

a GstRTSPStream

Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.get_joined_bin

    function GstRtspServer.RTSPStream.prototype.get_joined_bin(): {
        // javascript wrapper for 'gst_rtsp_stream_get_joined_bin'
    }

Get the previous joined bin with GstRtspServer.RTSPStream.prototype.join_bin or NULL.

Return: (transfer full) (nullable): the joined bin or NULL.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Bin) –
No description available

#### GstRtspServer.RTSPStream.get_joined_bin

    def GstRtspServer.RTSPStream.get_joined_bin (self):
        #python wrapper for 'gst_rtsp_stream_get_joined_bin'

Get the previous joined bin with GstRtspServer.RTSPStream.join_bin or NULL.

Return: (transfer full) (nullable): the joined bin or NULL.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Bin) –
No description available

#### gst_rtsp_stream_get_max_mcast_ttl

    guint
    gst_rtsp_stream_get_max_mcast_ttl (GstRTSPStream * stream)

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`stream` –

a GstRTSPStream

Returns –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.get_max_mcast_ttl

    function GstRtspServer.RTSPStream.prototype.get_max_mcast_ttl(): {
        // javascript wrapper for 'gst_rtsp_stream_get_max_mcast_ttl'
    }

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### GstRtspServer.RTSPStream.get_max_mcast_ttl

    def GstRtspServer.RTSPStream.get_max_mcast_ttl (self):
        #python wrapper for 'gst_rtsp_stream_get_max_mcast_ttl'

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### gst_rtsp_stream_get_mtu

    guint
    gst_rtsp_stream_get_mtu (GstRTSPStream * stream)

Get the configured MTU in the payloader of stream.

Parameters:

`stream` –

a GstRTSPStream

Returns –

the MTU of the payloader.

#### GstRtspServer.RTSPStream.prototype.get_mtu

    function GstRtspServer.RTSPStream.prototype.get_mtu(): {
        // javascript wrapper for 'gst_rtsp_stream_get_mtu'
    }

Get the configured MTU in the payloader of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

the MTU of the payloader.

#### GstRtspServer.RTSPStream.get_mtu

    def GstRtspServer.RTSPStream.get_mtu (self):
        #python wrapper for 'gst_rtsp_stream_get_mtu'

Get the configured MTU in the payloader of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –

the MTU of the payloader.

#### gst_rtsp_stream_get_multicast_address

    GstRTSPAddress *
    gst_rtsp_stream_get_multicast_address (GstRTSPStream * stream,
                                           GSocketFamily family)

Get the multicast address of stream for family. The original GstRTSPAddress is cached and copy is returned, so freeing the return value won't release the address from the pool.

Parameters:

`stream` –

a GstRTSPStream

`family` –

the GSocketFamily

Returns ( [transfer: full][nullable]) –

the GstRTSPAddress of stream or NULL when no address could be allocated. gst_rtsp_address_free after usage.

#### GstRtspServer.RTSPStream.prototype.get_multicast_address

    function GstRtspServer.RTSPStream.prototype.get_multicast_address(family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_get_multicast_address'
    }

Get the multicast address of stream for family. The original GstRtspServer.RTSPAddress is cached and copy is returned, so freeing the return value won't release the address from the pool.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the Gio.SocketFamily

Returns (GstRtspServer.RTSPAddress) –

the GstRtspServer.RTSPAddress of stream or null when no address could be allocated. GstRtspServer.RTSPAddress.prototype.free after usage.

#### GstRtspServer.RTSPStream.get_multicast_address

    def GstRtspServer.RTSPStream.get_multicast_address (self, family):
        #python wrapper for 'gst_rtsp_stream_get_multicast_address'

Get the multicast address of stream for family. The original GstRtspServer.RTSPAddress is cached and copy is returned, so freeing the return value won't release the address from the pool.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the Gio.SocketFamily

Returns (GstRtspServer.RTSPAddress) –

the GstRtspServer.RTSPAddress of stream or None when no address could be allocated. GstRtspServer.RTSPAddress.free after usage.

#### gst_rtsp_stream_get_multicast_client_addresses

    gchar *
    gst_rtsp_stream_get_multicast_client_addresses (GstRTSPStream * stream)

Get all multicast client addresses that RTP data will be sent to

Parameters:

`stream` –

a GstRTSPStream

Returns –

A comma separated list of host:port pairs with destinations

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.get_multicast_client_addresses

    function GstRtspServer.RTSPStream.prototype.get_multicast_client_addresses(): {
        // javascript wrapper for 'gst_rtsp_stream_get_multicast_client_addresses'
    }

Get all multicast client addresses that RTP data will be sent to

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (String) –

A comma separated list of host:port pairs with destinations

Since : 1.16

#### GstRtspServer.RTSPStream.get_multicast_client_addresses

    def GstRtspServer.RTSPStream.get_multicast_client_addresses (self):
        #python wrapper for 'gst_rtsp_stream_get_multicast_client_addresses'

Get all multicast client addresses that RTP data will be sent to

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (str) –

A comma separated list of host:port pairs with destinations

Since : 1.16

#### gst_rtsp_stream_get_multicast_iface

    gchar *
    gst_rtsp_stream_get_multicast_iface (GstRTSPStream * stream)

Get the multicast interface used for stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

the multicast interface for stream. g_free after usage.

#### GstRtspServer.RTSPStream.prototype.get_multicast_iface

    function GstRtspServer.RTSPStream.prototype.get_multicast_iface(): {
        // javascript wrapper for 'gst_rtsp_stream_get_multicast_iface'
    }

Get the multicast interface used for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (String) –

the multicast interface for stream. GLib.prototype.free after usage.

#### GstRtspServer.RTSPStream.get_multicast_iface

    def GstRtspServer.RTSPStream.get_multicast_iface (self):
        #python wrapper for 'gst_rtsp_stream_get_multicast_iface'

Get the multicast interface used for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (str) –

the multicast interface for stream. GLib.free after usage.

#### gst_rtsp_stream_get_profiles

    GstRTSPProfile
    gst_rtsp_stream_get_profiles (GstRTSPStream * stream)

Get the allowed profiles of stream.

Parameters:

`stream` –

a GstRTSPStream

Returns –

a GstRTSPProfile

#### GstRtspServer.RTSPStream.prototype.get_profiles

    function GstRtspServer.RTSPStream.prototype.get_profiles(): {
        // javascript wrapper for 'gst_rtsp_stream_get_profiles'
    }

Get the allowed profiles of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

#### GstRtspServer.RTSPStream.get_profiles

    def GstRtspServer.RTSPStream.get_profiles (self):
        #python wrapper for 'gst_rtsp_stream_get_profiles'

Get the allowed profiles of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

#### gst_rtsp_stream_get_protocols

    GstRTSPLowerTrans
    gst_rtsp_stream_get_protocols (GstRTSPStream * stream)

Get the allowed protocols of stream.

Parameters:

`stream` –

a GstRTSPStream

Returns –

a GstRTSPLowerTrans

#### GstRtspServer.RTSPStream.prototype.get_protocols

    function GstRtspServer.RTSPStream.prototype.get_protocols(): {
        // javascript wrapper for 'gst_rtsp_stream_get_protocols'
    }

Get the allowed protocols of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtsp.RTSPLowerTrans) –

a GstRtsp.RTSPLowerTrans

#### GstRtspServer.RTSPStream.get_protocols

    def GstRtspServer.RTSPStream.get_protocols (self):
        #python wrapper for 'gst_rtsp_stream_get_protocols'

Get the allowed protocols of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtsp.RTSPLowerTrans) –

a GstRtsp.RTSPLowerTrans

#### gst_rtsp_stream_get_pt

    guint
    gst_rtsp_stream_get_pt (GstRTSPStream * stream)

Get the stream payload type.

Return: the stream payload type.

Parameters:

`stream` –

a GstRTSPStream

Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.get_pt

    function GstRtspServer.RTSPStream.prototype.get_pt(): {
        // javascript wrapper for 'gst_rtsp_stream_get_pt'
    }

Get the stream payload type.

Return: the stream payload type.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –
No description available

#### GstRtspServer.RTSPStream.get_pt

    def GstRtspServer.RTSPStream.get_pt (self):
        #python wrapper for 'gst_rtsp_stream_get_pt'

Get the stream payload type.

Return: the stream payload type.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –
No description available

#### gst_rtsp_stream_get_publish_clock_mode

    GstRTSPPublishClockMode
    gst_rtsp_stream_get_publish_clock_mode (GstRTSPStream * stream)

Gets if and how the stream clock should be published according to RFC7273.

Parameters:

`stream` –

a GstRTSPStream

Returns –

The GstRTSPPublishClockMode

Since : 1.8

#### GstRtspServer.RTSPStream.prototype.get_publish_clock_mode

    function GstRtspServer.RTSPStream.prototype.get_publish_clock_mode(): {
        // javascript wrapper for 'gst_rtsp_stream_get_publish_clock_mode'
    }

Gets if and how the stream clock should be published according to RFC7273.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtspServer.RTSPPublishClockMode) –

The GstRTSPPublishClockMode

Since : 1.8

#### GstRtspServer.RTSPStream.get_publish_clock_mode

    def GstRtspServer.RTSPStream.get_publish_clock_mode (self):
        #python wrapper for 'gst_rtsp_stream_get_publish_clock_mode'

Gets if and how the stream clock should be published according to RFC7273.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GstRtspServer.RTSPPublishClockMode) –

The GstRTSPPublishClockMode

Since : 1.8

#### gst_rtsp_stream_get_rate_control

    gboolean
    gst_rtsp_stream_get_rate_control (GstRTSPStream * stream)

Parameters:

`stream` –
No description available
Returns –

whether stream will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Since : 1.18

#### GstRtspServer.RTSPStream.prototype.get_rate_control

    function GstRtspServer.RTSPStream.prototype.get_rate_control(): {
        // javascript wrapper for 'gst_rtsp_stream_get_rate_control'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (Number) –

whether stream will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Since : 1.18

#### GstRtspServer.RTSPStream.get_rate_control

    def GstRtspServer.RTSPStream.get_rate_control (self):
        #python wrapper for 'gst_rtsp_stream_get_rate_control'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (bool) –

whether stream will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Since : 1.18

#### gst_rtsp_stream_get_rates

    gboolean
    gst_rtsp_stream_get_rates (GstRTSPStream * stream,
                               gdouble * rate,
                               gdouble * applied_rate)

Retrieve the current rate and/or applied_rate.

Parameters:

`stream` –

a GstRTSPStream

`rate` ( [optional][out]) –

the configured rate

`applied_rate` ( [optional][out]) –

the configured applied_rate

Returns –

TRUE if rate and/or applied_rate could be determined.

Since : 1.18

#### GstRtspServer.RTSPStream.prototype.get_rates

    function GstRtspServer.RTSPStream.prototype.get_rates(): {
        // javascript wrapper for 'gst_rtsp_stream_get_rates'
    }

Retrieve the current rate and/or applied_rate.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(Number ) –

true if rate and/or applied_rate could be determined.

`rate` (Number ) –

true if rate and/or applied_rate could be determined.

`applied_rate` (Number ) –

true if rate and/or applied_rate could be determined.

Since : 1.18

#### GstRtspServer.RTSPStream.get_rates

    def GstRtspServer.RTSPStream.get_rates (self):
        #python wrapper for 'gst_rtsp_stream_get_rates'

Retrieve the current rate and/or applied_rate.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(bool ) –

True if rate and/or applied_rate could be determined.

`rate` (float ) –

True if rate and/or applied_rate could be determined.

`applied_rate` (float ) –

True if rate and/or applied_rate could be determined.

Since : 1.18

#### gst_rtsp_stream_get_retransmission_pt

    guint
    gst_rtsp_stream_get_retransmission_pt (GstRTSPStream * stream)

Get the payload-type used for retransmission of this stream

Parameters:

`stream` –

a GstRTSPStream

Returns –

The retransmission PT.

#### GstRtspServer.RTSPStream.prototype.get_retransmission_pt

    function GstRtspServer.RTSPStream.prototype.get_retransmission_pt(): {
        // javascript wrapper for 'gst_rtsp_stream_get_retransmission_pt'
    }

Get the payload-type used for retransmission of this stream

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

The retransmission PT.

#### GstRtspServer.RTSPStream.get_retransmission_pt

    def GstRtspServer.RTSPStream.get_retransmission_pt (self):
        #python wrapper for 'gst_rtsp_stream_get_retransmission_pt'

Get the payload-type used for retransmission of this stream

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –

The retransmission PT.

#### gst_rtsp_stream_get_retransmission_time

    GstClockTime
    gst_rtsp_stream_get_retransmission_time (GstRTSPStream * stream)

Get the amount of time to store retransmission data.

Parameters:

`stream` –

a GstRTSPStream

Returns –

the amount of time to store retransmission data.

#### GstRtspServer.RTSPStream.prototype.get_retransmission_time

    function GstRtspServer.RTSPStream.prototype.get_retransmission_time(): {
        // javascript wrapper for 'gst_rtsp_stream_get_retransmission_time'
    }

Get the amount of time to store retransmission data.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

the amount of time to store retransmission data.

#### GstRtspServer.RTSPStream.get_retransmission_time

    def GstRtspServer.RTSPStream.get_retransmission_time (self):
        #python wrapper for 'gst_rtsp_stream_get_retransmission_time'

Get the amount of time to store retransmission data.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (int) –

the amount of time to store retransmission data.

#### gst_rtsp_stream_get_rtcp_multicast_socket

    GSocket *
    gst_rtsp_stream_get_rtcp_multicast_socket (GstRTSPStream * stream,
                                               GSocketFamily family)

Get the multicast RTCP socket from stream for a family.

Parameters:

`stream` –

a GstRTSPStream

`family` –

the socket family

Returns ( [transfer: full][nullable]) –

the multicast RTCP socket or NULL if no socket could be allocated for family. Unref after usage

Since : 1.14

#### GstRtspServer.RTSPStream.prototype.get_rtcp_multicast_socket

    function GstRtspServer.RTSPStream.prototype.get_rtcp_multicast_socket(family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_get_rtcp_multicast_socket'
    }

Get the multicast RTCP socket from stream for a family.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the multicast RTCP socket or null if no socket could be allocated for family. Unref after usage

Since : 1.14

#### GstRtspServer.RTSPStream.get_rtcp_multicast_socket

    def GstRtspServer.RTSPStream.get_rtcp_multicast_socket (self, family):
        #python wrapper for 'gst_rtsp_stream_get_rtcp_multicast_socket'

Get the multicast RTCP socket from stream for a family.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the multicast RTCP socket or None if no socket could be allocated for family. Unref after usage

Since : 1.14

#### gst_rtsp_stream_get_rtcp_socket

    GSocket *
    gst_rtsp_stream_get_rtcp_socket (GstRTSPStream * stream,
                                     GSocketFamily family)

Get the RTCP socket from stream for a family.

stream must be joined to a bin.

Parameters:

`stream` –

a GstRTSPStream

`family` –

the socket family

Returns ( [transfer: full][nullable]) –

the RTCP socket or NULL if no socket could be allocated for family. Unref after usage

#### GstRtspServer.RTSPStream.prototype.get_rtcp_socket

    function GstRtspServer.RTSPStream.prototype.get_rtcp_socket(family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_get_rtcp_socket'
    }

Get the RTCP socket from stream for a family.

stream must be joined to a bin.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the RTCP socket or null if no socket could be allocated for family. Unref after usage

#### GstRtspServer.RTSPStream.get_rtcp_socket

    def GstRtspServer.RTSPStream.get_rtcp_socket (self, family):
        #python wrapper for 'gst_rtsp_stream_get_rtcp_socket'

Get the RTCP socket from stream for a family.

stream must be joined to a bin.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the RTCP socket or None if no socket could be allocated for family. Unref after usage

#### gst_rtsp_stream_get_rtp_multicast_socket

    GSocket *
    gst_rtsp_stream_get_rtp_multicast_socket (GstRTSPStream * stream,
                                              GSocketFamily family)

Get the multicast RTP socket from stream for a family.

Parameters:

`stream` –

a GstRTSPStream

`family` –

the socket family

Returns ( [transfer: full][nullable]) –

the multicast RTP socket or NULL if no

socket could be allocated for family. Unref after usage

#### GstRtspServer.RTSPStream.prototype.get_rtp_multicast_socket

    function GstRtspServer.RTSPStream.prototype.get_rtp_multicast_socket(family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_get_rtp_multicast_socket'
    }

Get the multicast RTP socket from stream for a family.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the multicast RTP socket or null if no

socket could be allocated for family. Unref after usage

#### GstRtspServer.RTSPStream.get_rtp_multicast_socket

    def GstRtspServer.RTSPStream.get_rtp_multicast_socket (self, family):
        #python wrapper for 'gst_rtsp_stream_get_rtp_multicast_socket'

Get the multicast RTP socket from stream for a family.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the multicast RTP socket or None if no

socket could be allocated for family. Unref after usage

#### gst_rtsp_stream_get_rtp_socket

    GSocket *
    gst_rtsp_stream_get_rtp_socket (GstRTSPStream * stream,
                                    GSocketFamily family)

Get the RTP socket from stream for a family.

stream must be joined to a bin.

Parameters:

`stream` –

a GstRTSPStream

`family` –

the socket family

Returns ( [transfer: full][nullable]) –

the RTP socket or NULL if no socket could be allocated for family. Unref after usage

#### GstRtspServer.RTSPStream.prototype.get_rtp_socket

    function GstRtspServer.RTSPStream.prototype.get_rtp_socket(family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_get_rtp_socket'
    }

Get the RTP socket from stream for a family.

stream must be joined to a bin.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the RTP socket or null if no socket could be allocated for family. Unref after usage

#### GstRtspServer.RTSPStream.get_rtp_socket

    def GstRtspServer.RTSPStream.get_rtp_socket (self, family):
        #python wrapper for 'gst_rtsp_stream_get_rtp_socket'

Get the RTP socket from stream for a family.

stream must be joined to a bin.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the socket family

Returns (Gio.Socket) –

the RTP socket or None if no socket could be allocated for family. Unref after usage

#### gst_rtsp_stream_get_rtpinfo

    gboolean
    gst_rtsp_stream_get_rtpinfo (GstRTSPStream * stream,
                                 guint * rtptime,
                                 guint * seq,
                                 guint * clock_rate,
                                 GstClockTime * running_time)

Retrieve the current rtptime, seq and running-time. This is used to construct a RTPInfo reply header.

Parameters:

`stream` –

a GstRTSPStream

`rtptime` ( [allow-none][out]) –

result RTP timestamp

`seq` ( [allow-none][out]) –

result RTP seqnum

`clock_rate` ( [allow-none][out]) –

the clock rate

`running_time` ( [out]) –

result running-time

Returns –

TRUE when rtptime, seq and running-time could be determined.

#### GstRtspServer.RTSPStream.prototype.get_rtpinfo

    function GstRtspServer.RTSPStream.prototype.get_rtpinfo(): {
        // javascript wrapper for 'gst_rtsp_stream_get_rtpinfo'
    }

Retrieve the current rtptime, seq and running-time. This is used to construct a RTPInfo reply header.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(Number ) –

true when rtptime, seq and running-time could be determined.

`rtptime` (Number ) –

true when rtptime, seq and running-time could be determined.

`seq` (Number ) –

true when rtptime, seq and running-time could be determined.

`clock_rate` (Number ) –

true when rtptime, seq and running-time could be determined.

`running_time` (Number ) –

true when rtptime, seq and running-time could be determined.

#### GstRtspServer.RTSPStream.get_rtpinfo

    def GstRtspServer.RTSPStream.get_rtpinfo (self):
        #python wrapper for 'gst_rtsp_stream_get_rtpinfo'

Retrieve the current rtptime, seq and running-time. This is used to construct a RTPInfo reply header.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(bool ) –

True when rtptime, seq and running-time could be determined.

`rtptime` (int ) –

True when rtptime, seq and running-time could be determined.

`seq` (int ) –

True when rtptime, seq and running-time could be determined.

`clock_rate` (int ) –

True when rtptime, seq and running-time could be determined.

`running_time` (int ) –

True when rtptime, seq and running-time could be determined.

#### gst_rtsp_stream_get_rtpsession

    GObject *
    gst_rtsp_stream_get_rtpsession (GstRTSPStream * stream)

Get the RTP session of this stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

The RTP session of this stream. Unref after usage.

#### GstRtspServer.RTSPStream.prototype.get_rtpsession

    function GstRtspServer.RTSPStream.prototype.get_rtpsession(): {
        // javascript wrapper for 'gst_rtsp_stream_get_rtpsession'
    }

Get the RTP session of this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GObject.Object) –

The RTP session of this stream. Unref after usage.

#### GstRtspServer.RTSPStream.get_rtpsession

    def GstRtspServer.RTSPStream.get_rtpsession (self):
        #python wrapper for 'gst_rtsp_stream_get_rtpsession'

Get the RTP session of this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (GObject.Object) –

The RTP session of this stream. Unref after usage.

#### gst_rtsp_stream_get_server_port

    gst_rtsp_stream_get_server_port (GstRTSPStream * stream,
                                     GstRTSPRange * server_port,
                                     GSocketFamily family)

Fill server_port with the port pair used by the server. This function can only be called when stream has been joined.

Parameters:

`stream` –

a GstRTSPStream

`server_port` ( [out]) –

result server port

`family` –

the port family to get

#### GstRtspServer.RTSPStream.prototype.get_server_port

    function GstRtspServer.RTSPStream.prototype.get_server_port(family: Gio.SocketFamily): {
        // javascript wrapper for 'gst_rtsp_stream_get_server_port'
    }

Fill server_port with the port pair used by the server. This function can only be called when stream has been joined.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the port family to get

#### GstRtspServer.RTSPStream.get_server_port

    def GstRtspServer.RTSPStream.get_server_port (self, family):
        #python wrapper for 'gst_rtsp_stream_get_server_port'

Fill server_port with the port pair used by the server. This function can only be called when stream has been joined.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`family` (Gio.SocketFamily) –

the port family to get

#### gst_rtsp_stream_get_sinkpad

    GstPad *
    gst_rtsp_stream_get_sinkpad (GstRTSPStream * stream)

Get the sinkpad associated with stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

the sinkpad. Unref after usage.

#### GstRtspServer.RTSPStream.prototype.get_sinkpad

    function GstRtspServer.RTSPStream.prototype.get_sinkpad(): {
        // javascript wrapper for 'gst_rtsp_stream_get_sinkpad'
    }

Get the sinkpad associated with stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Pad) –

the sinkpad. Unref after usage.

#### GstRtspServer.RTSPStream.get_sinkpad

    def GstRtspServer.RTSPStream.get_sinkpad (self):
        #python wrapper for 'gst_rtsp_stream_get_sinkpad'

Get the sinkpad associated with stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Pad) –

the sinkpad. Unref after usage.

#### gst_rtsp_stream_get_srcpad

    GstPad *
    gst_rtsp_stream_get_srcpad (GstRTSPStream * stream)

Get the srcpad associated with stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

the srcpad. Unref after usage.

#### GstRtspServer.RTSPStream.prototype.get_srcpad

    function GstRtspServer.RTSPStream.prototype.get_srcpad(): {
        // javascript wrapper for 'gst_rtsp_stream_get_srcpad'
    }

Get the srcpad associated with stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Pad) –

the srcpad. Unref after usage.

#### GstRtspServer.RTSPStream.get_srcpad

    def GstRtspServer.RTSPStream.get_srcpad (self):
        #python wrapper for 'gst_rtsp_stream_get_srcpad'

Get the srcpad associated with stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Pad) –

the srcpad. Unref after usage.

#### gst_rtsp_stream_get_srtp_encoder

    GstElement *
    gst_rtsp_stream_get_srtp_encoder (GstRTSPStream * stream)

Get the SRTP encoder for this stream.

Parameters:

`stream` –

a GstRTSPStream

Returns ( [transfer: full][nullable]) –

The SRTP encoder for this stream. Unref after usage.

#### GstRtspServer.RTSPStream.prototype.get_srtp_encoder

    function GstRtspServer.RTSPStream.prototype.get_srtp_encoder(): {
        // javascript wrapper for 'gst_rtsp_stream_get_srtp_encoder'
    }

Get the SRTP encoder for this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Element) –

The SRTP encoder for this stream. Unref after usage.

#### GstRtspServer.RTSPStream.get_srtp_encoder

    def GstRtspServer.RTSPStream.get_srtp_encoder (self):
        #python wrapper for 'gst_rtsp_stream_get_srtp_encoder'

Get the SRTP encoder for this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Gst.Element) –

The SRTP encoder for this stream. Unref after usage.

#### gst_rtsp_stream_get_ssrc

    gst_rtsp_stream_get_ssrc (GstRTSPStream * stream,
                              guint * ssrc)

Get the SSRC used by the RTP session of this stream. This function can only be called when stream has been joined.

Parameters:

`stream` –

a GstRTSPStream

`ssrc` ( [out]) –

result ssrc

#### GstRtspServer.RTSPStream.prototype.get_ssrc

    function GstRtspServer.RTSPStream.prototype.get_ssrc(): {
        // javascript wrapper for 'gst_rtsp_stream_get_ssrc'
    }

Get the SSRC used by the RTP session of this stream. This function can only be called when stream has been joined.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

#### GstRtspServer.RTSPStream.get_ssrc

    def GstRtspServer.RTSPStream.get_ssrc (self):
        #python wrapper for 'gst_rtsp_stream_get_ssrc'

Get the SSRC used by the RTP session of this stream. This function can only be called when stream has been joined.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

#### gst_rtsp_stream_get_ulpfec_enabled

    gboolean
    gst_rtsp_stream_get_ulpfec_enabled (GstRTSPStream * stream)

Parameters:

`stream` –
No description available
Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.get_ulpfec_enabled

    function GstRtspServer.RTSPStream.prototype.get_ulpfec_enabled(): {
        // javascript wrapper for 'gst_rtsp_stream_get_ulpfec_enabled'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (Number) –
No description available

#### GstRtspServer.RTSPStream.get_ulpfec_enabled

    def GstRtspServer.RTSPStream.get_ulpfec_enabled (self):
        #python wrapper for 'gst_rtsp_stream_get_ulpfec_enabled'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (bool) –
No description available

#### gst_rtsp_stream_get_ulpfec_percentage

    guint
    gst_rtsp_stream_get_ulpfec_percentage (GstRTSPStream * stream)

Parameters:

`stream` –
No description available
Returns –

the amount of redundancy applied when creating ULPFEC protection packets.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.get_ulpfec_percentage

    function GstRtspServer.RTSPStream.prototype.get_ulpfec_percentage(): {
        // javascript wrapper for 'gst_rtsp_stream_get_ulpfec_percentage'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (Number) –

the amount of redundancy applied when creating ULPFEC protection packets.

Since : 1.16

#### GstRtspServer.RTSPStream.get_ulpfec_percentage

    def GstRtspServer.RTSPStream.get_ulpfec_percentage (self):
        #python wrapper for 'gst_rtsp_stream_get_ulpfec_percentage'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (int) –

the amount of redundancy applied when creating ULPFEC protection packets.

Since : 1.16

#### gst_rtsp_stream_get_ulpfec_pt

    guint
    gst_rtsp_stream_get_ulpfec_pt (GstRTSPStream * stream)

Parameters:

`stream` –
No description available
Returns –

the payload type used for ULPFEC protection packets

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.get_ulpfec_pt

    function GstRtspServer.RTSPStream.prototype.get_ulpfec_pt(): {
        // javascript wrapper for 'gst_rtsp_stream_get_ulpfec_pt'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (Number) –

the payload type used for ULPFEC protection packets

Since : 1.16

#### GstRtspServer.RTSPStream.get_ulpfec_pt

    def GstRtspServer.RTSPStream.get_ulpfec_pt (self):
        #python wrapper for 'gst_rtsp_stream_get_ulpfec_pt'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (int) –

the payload type used for ULPFEC protection packets

Since : 1.16

#### gst_rtsp_stream_handle_keymgmt

    gboolean
    gst_rtsp_stream_handle_keymgmt (GstRTSPStream * stream,
                                    const gchar * keymgmt)

Parse and handle a KeyMgmt header.

Parameters:

`stream` –

a GstRTSPStream

`keymgmt` –

a keymgmt header

Returns –
No description available

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.handle_keymgmt

    function GstRtspServer.RTSPStream.prototype.handle_keymgmt(keymgmt: String): {
        // javascript wrapper for 'gst_rtsp_stream_handle_keymgmt'
    }

Parse and handle a KeyMgmt header.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`keymgmt` (String) –

a keymgmt header

Returns (Number) –
No description available

Since : 1.16

#### GstRtspServer.RTSPStream.handle_keymgmt

    def GstRtspServer.RTSPStream.handle_keymgmt (self, keymgmt):
        #python wrapper for 'gst_rtsp_stream_handle_keymgmt'

Parse and handle a KeyMgmt header.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`keymgmt` (str) –

a keymgmt header

Returns (bool) –
No description available

Since : 1.16

#### gst_rtsp_stream_has_control

    gboolean
    gst_rtsp_stream_has_control (GstRTSPStream * stream,
                                 const gchar * control)

Check if stream has the control string control.

Parameters:

`stream` –

a GstRTSPStream

`control` ( [nullable]) –

a control string

Returns –

TRUE is stream has control as the control string

#### GstRtspServer.RTSPStream.prototype.has_control

    function GstRtspServer.RTSPStream.prototype.has_control(control: String): {
        // javascript wrapper for 'gst_rtsp_stream_has_control'
    }

Check if stream has the control string control.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`control` (String) –

a control string

Returns (Number) –

true is stream has control as the control string

#### GstRtspServer.RTSPStream.has_control

    def GstRtspServer.RTSPStream.has_control (self, control):
        #python wrapper for 'gst_rtsp_stream_has_control'

Check if stream has the control string control.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`control` (str) –

a control string

Returns (bool) –

True is stream has control as the control string

#### gst_rtsp_stream_is_bind_mcast_address

    gboolean
    gst_rtsp_stream_is_bind_mcast_address (GstRTSPStream * stream)

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.is_bind_mcast_address

    function GstRtspServer.RTSPStream.prototype.is_bind_mcast_address(): {
        // javascript wrapper for 'gst_rtsp_stream_is_bind_mcast_address'
    }

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

true if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### GstRtspServer.RTSPStream.is_bind_mcast_address

    def GstRtspServer.RTSPStream.is_bind_mcast_address (self):
        #python wrapper for 'gst_rtsp_stream_is_bind_mcast_address'

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

True if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### gst_rtsp_stream_is_blocking

    gboolean
    gst_rtsp_stream_is_blocking (GstRTSPStream * stream)

Check if stream is blocking on a GstBuffer.

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if stream is blocking

#### GstRtspServer.RTSPStream.prototype.is_blocking

    function GstRtspServer.RTSPStream.prototype.is_blocking(): {
        // javascript wrapper for 'gst_rtsp_stream_is_blocking'
    }

Check if stream is blocking on a Gst.Buffer.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

true if stream is blocking

#### GstRtspServer.RTSPStream.is_blocking

    def GstRtspServer.RTSPStream.is_blocking (self):
        #python wrapper for 'gst_rtsp_stream_is_blocking'

Check if stream is blocking on a Gst.Buffer.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

True if stream is blocking

#### gst_rtsp_stream_is_client_side

    gboolean
    gst_rtsp_stream_is_client_side (GstRTSPStream * stream)

See gst_rtsp_stream_set_client_side

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if this GstRTSPStream is client-side.

#### GstRtspServer.RTSPStream.prototype.is_client_side

    function GstRtspServer.RTSPStream.prototype.is_client_side(): {
        // javascript wrapper for 'gst_rtsp_stream_is_client_side'
    }

See GstRtspServer.RTSPStream.prototype.set_client_side

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

TRUE if this GstRtspServer.RTSPStream is client-side.

#### GstRtspServer.RTSPStream.is_client_side

    def GstRtspServer.RTSPStream.is_client_side (self):
        #python wrapper for 'gst_rtsp_stream_is_client_side'

See GstRtspServer.RTSPStream.set_client_side

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

TRUE if this GstRtspServer.RTSPStream is client-side.

#### gst_rtsp_stream_is_complete

    gboolean
    gst_rtsp_stream_is_complete (GstRTSPStream * stream)

Checks whether the stream is complete, contains the receiver and the sender parts. As the stream contains sink(s) element(s), it's possible to perform seek operations on it.

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if the stream contains at least one sink element.

Since : 1.14

#### GstRtspServer.RTSPStream.prototype.is_complete

    function GstRtspServer.RTSPStream.prototype.is_complete(): {
        // javascript wrapper for 'gst_rtsp_stream_is_complete'
    }

Checks whether the stream is complete, contains the receiver and the sender parts. As the stream contains sink(s) element(s), it's possible to perform seek operations on it.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

true if the stream contains at least one sink element.

Since : 1.14

#### GstRtspServer.RTSPStream.is_complete

    def GstRtspServer.RTSPStream.is_complete (self):
        #python wrapper for 'gst_rtsp_stream_is_complete'

Checks whether the stream is complete, contains the receiver and the sender parts. As the stream contains sink(s) element(s), it's possible to perform seek operations on it.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

True if the stream contains at least one sink element.

Since : 1.14

#### gst_rtsp_stream_is_receiver

    gboolean
    gst_rtsp_stream_is_receiver (GstRTSPStream * stream)

Checks whether the stream is a receiver.

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if the stream is a receiver and FALSE otherwise.

Since : 1.14

#### GstRtspServer.RTSPStream.prototype.is_receiver

    function GstRtspServer.RTSPStream.prototype.is_receiver(): {
        // javascript wrapper for 'gst_rtsp_stream_is_receiver'
    }

Checks whether the stream is a receiver.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

true if the stream is a receiver and false otherwise.

Since : 1.14

#### GstRtspServer.RTSPStream.is_receiver

    def GstRtspServer.RTSPStream.is_receiver (self):
        #python wrapper for 'gst_rtsp_stream_is_receiver'

Checks whether the stream is a receiver.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

True if the stream is a receiver and False otherwise.

Since : 1.14

#### gst_rtsp_stream_is_sender

    gboolean
    gst_rtsp_stream_is_sender (GstRTSPStream * stream)

Checks whether the stream is a sender.

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if the stream is a sender and FALSE otherwise.

Since : 1.14

#### GstRtspServer.RTSPStream.prototype.is_sender

    function GstRtspServer.RTSPStream.prototype.is_sender(): {
        // javascript wrapper for 'gst_rtsp_stream_is_sender'
    }

Checks whether the stream is a sender.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

true if the stream is a sender and false otherwise.

Since : 1.14

#### GstRtspServer.RTSPStream.is_sender

    def GstRtspServer.RTSPStream.is_sender (self):
        #python wrapper for 'gst_rtsp_stream_is_sender'

Checks whether the stream is a sender.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

True if the stream is a sender and False otherwise.

Since : 1.14

#### gst_rtsp_stream_is_transport_supported

    gboolean
    gst_rtsp_stream_is_transport_supported (GstRTSPStream * stream,
                                            GstRTSPTransport * transport)

Check if transport can be handled by stream

Parameters:

`stream` –

a GstRTSPStream

`transport` ( [transfer: none]) –

a GstRTSPTransport

Returns –

TRUE if transport can be handled by stream.

#### GstRtspServer.RTSPStream.prototype.is_transport_supported

    function GstRtspServer.RTSPStream.prototype.is_transport_supported(transport: GstRtsp.RTSPTransport): {
        // javascript wrapper for 'gst_rtsp_stream_is_transport_supported'
    }

Check if transport can be handled by stream

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (Number) –

true if transport can be handled by stream.

#### GstRtspServer.RTSPStream.is_transport_supported

    def GstRtspServer.RTSPStream.is_transport_supported (self, transport):
        #python wrapper for 'gst_rtsp_stream_is_transport_supported'

Check if transport can be handled by stream

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`transport` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (bool) –

True if transport can be handled by stream.

#### gst_rtsp_stream_join_bin

    gboolean
    gst_rtsp_stream_join_bin (GstRTSPStream * stream,
                              GstBin * bin,
                              GstElement * rtpbin,
                              GstState state)

Join the GstBin bin that contains the element rtpbin.

stream will link to rtpbin, which must be inside bin. The elements added to bin will be set to the state given in state.

Parameters:

`stream` –

a GstRTSPStream

`bin` ( [transfer: none]) –

a GstBin to join

`rtpbin` ( [transfer: none]) –

a rtpbin element in bin

`state` –

the target state of the new elements

Returns –

TRUE on success.

#### GstRtspServer.RTSPStream.prototype.join_bin

    function GstRtspServer.RTSPStream.prototype.join_bin(bin: Gst.Bin, rtpbin: Gst.Element, state: Gst.State): {
        // javascript wrapper for 'gst_rtsp_stream_join_bin'
    }

Join the Gst.Bin bin that contains the element rtpbin.

stream will link to rtpbin, which must be inside bin. The elements added to bin will be set to the state given in state.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`bin` (Gst.Bin) –

a Gst.Bin to join

`rtpbin` (Gst.Element) –

a rtpbin element in bin

`state` (Gst.State) –

the target state of the new elements

Returns (Number) –

true on success.

#### GstRtspServer.RTSPStream.join_bin

    def GstRtspServer.RTSPStream.join_bin (self, bin, rtpbin, state):
        #python wrapper for 'gst_rtsp_stream_join_bin'

Join the Gst.Bin bin that contains the element rtpbin.

stream will link to rtpbin, which must be inside bin. The elements added to bin will be set to the state given in state.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`bin` (Gst.Bin) –

a Gst.Bin to join

`rtpbin` (Gst.Element) –

a rtpbin element in bin

`state` (Gst.State) –

the target state of the new elements

Returns (bool) –

True on success.

#### gst_rtsp_stream_leave_bin

    gboolean
    gst_rtsp_stream_leave_bin (GstRTSPStream * stream,
                               GstBin * bin,
                               GstElement * rtpbin)

Remove the elements of stream from bin.

Return: TRUE on success.

Parameters:

`stream` –

a GstRTSPStream

`bin` ( [transfer: none]) –

a GstBin

`rtpbin` ( [transfer: none]) –

a rtpbin GstElement

Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.leave_bin

    function GstRtspServer.RTSPStream.prototype.leave_bin(bin: Gst.Bin, rtpbin: Gst.Element): {
        // javascript wrapper for 'gst_rtsp_stream_leave_bin'
    }

Remove the elements of stream from bin.

Return: true on success.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`bin` (Gst.Bin) –

a Gst.Bin

`rtpbin` (Gst.Element) –

a rtpbin Gst.Element

Returns (Number) –
No description available

#### GstRtspServer.RTSPStream.leave_bin

    def GstRtspServer.RTSPStream.leave_bin (self, bin, rtpbin):
        #python wrapper for 'gst_rtsp_stream_leave_bin'

Remove the elements of stream from bin.

Return: True on success.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`bin` (Gst.Bin) –

a Gst.Bin

`rtpbin` (Gst.Element) –

a rtpbin Gst.Element

Returns (bool) –
No description available

#### gst_rtsp_stream_query_position

    gboolean
    gst_rtsp_stream_query_position (GstRTSPStream * stream,
                                    gint64 * position)

Query the position of the stream in GST_FORMAT_TIME. This only considers the RTP parts of the pipeline and not the RTCP parts.

Parameters:

`stream` –

a GstRTSPStream

`position` ( [out]) –

current position of a GstRTSPStream

Returns –

TRUE if the position could be queried

#### GstRtspServer.RTSPStream.prototype.query_position

    function GstRtspServer.RTSPStream.prototype.query_position(): {
        // javascript wrapper for 'gst_rtsp_stream_query_position'
    }

Query the position of the stream in Gst.Format.TIME. This only considers the RTP parts of the pipeline and not the RTCP parts.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(Number ) –

true if the position could be queried

`position` (Number ) –

true if the position could be queried

#### GstRtspServer.RTSPStream.query_position

    def GstRtspServer.RTSPStream.query_position (self):
        #python wrapper for 'gst_rtsp_stream_query_position'

Query the position of the stream in Gst.Format.TIME. This only considers the RTP parts of the pipeline and not the RTCP parts.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(bool ) –

True if the position could be queried

`position` (int ) –

True if the position could be queried

#### gst_rtsp_stream_query_stop

    gboolean
    gst_rtsp_stream_query_stop (GstRTSPStream * stream,
                                gint64 * stop)

Query the stop of the stream in GST_FORMAT_TIME. This only considers the RTP parts of the pipeline and not the RTCP parts.

Parameters:

`stream` –

a GstRTSPStream

`stop` ( [out]) –

current stop of a GstRTSPStream

Returns –

TRUE if the stop could be queried

#### GstRtspServer.RTSPStream.prototype.query_stop

    function GstRtspServer.RTSPStream.prototype.query_stop(): {
        // javascript wrapper for 'gst_rtsp_stream_query_stop'
    }

Query the stop of the stream in Gst.Format.TIME. This only considers the RTP parts of the pipeline and not the RTCP parts.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(Number ) –

true if the stop could be queried

`stop` (Number ) –

true if the stop could be queried

#### GstRtspServer.RTSPStream.query_stop

    def GstRtspServer.RTSPStream.query_stop (self):
        #python wrapper for 'gst_rtsp_stream_query_stop'

Query the stop of the stream in Gst.Format.TIME. This only considers the RTP parts of the pipeline and not the RTCP parts.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns a tuple made of:

(bool ) –

True if the stop could be queried

`stop` (int ) –

True if the stop could be queried

#### gst_rtsp_stream_recv_rtcp

    GstFlowReturn
    gst_rtsp_stream_recv_rtcp (GstRTSPStream * stream,
                               GstBuffer * buffer)

Handle an RTCP buffer for the stream. This method is usually called when a message has been received from a client using the TCP transport.

This function takes ownership of buffer.

Parameters:

`stream` –

a GstRTSPStream

`buffer` ( [transfer: full]) –

a GstBuffer

Returns –

a GstFlowReturn.

#### GstRtspServer.RTSPStream.prototype.recv_rtcp

    function GstRtspServer.RTSPStream.prototype.recv_rtcp(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_stream_recv_rtcp'
    }

Handle an RTCP buffer for the stream. This method is usually called when a message has been received from a client using the TCP transport.

This function takes ownership of buffer.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a GstFlowReturn.

#### GstRtspServer.RTSPStream.recv_rtcp

    def GstRtspServer.RTSPStream.recv_rtcp (self, buffer):
        #python wrapper for 'gst_rtsp_stream_recv_rtcp'

Handle an RTCP buffer for the stream. This method is usually called when a message has been received from a client using the TCP transport.

This function takes ownership of buffer.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a GstFlowReturn.

#### gst_rtsp_stream_recv_rtp

    GstFlowReturn
    gst_rtsp_stream_recv_rtp (GstRTSPStream * stream,
                              GstBuffer * buffer)

Handle an RTP buffer for the stream. This method is usually called when a message has been received from a client using the TCP transport.

This function takes ownership of buffer.

Parameters:

`stream` –

a GstRTSPStream

`buffer` ( [transfer: full]) –

a GstBuffer

Returns –

a GstFlowReturn.

#### GstRtspServer.RTSPStream.prototype.recv_rtp

    function GstRtspServer.RTSPStream.prototype.recv_rtp(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_stream_recv_rtp'
    }

Handle an RTP buffer for the stream. This method is usually called when a message has been received from a client using the TCP transport.

This function takes ownership of buffer.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a GstFlowReturn.

#### GstRtspServer.RTSPStream.recv_rtp

    def GstRtspServer.RTSPStream.recv_rtp (self, buffer):
        #python wrapper for 'gst_rtsp_stream_recv_rtp'

Handle an RTP buffer for the stream. This method is usually called when a message has been received from a client using the TCP transport.

This function takes ownership of buffer.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a GstFlowReturn.

#### gst_rtsp_stream_remove_transport

    gboolean
    gst_rtsp_stream_remove_transport (GstRTSPStream * stream,
                                      GstRTSPStreamTransport * trans)

Remove the transport in trans from stream. The media of stream will not be sent to the values configured in trans.

stream must be joined to a bin.

trans must contain a valid GstRTSPTransport.

Parameters:

`stream` –

a GstRTSPStream

`trans` ( [transfer: none]) –

a GstRTSPStreamTransport

Returns –

TRUE if trans was removed

#### GstRtspServer.RTSPStream.prototype.remove_transport

    function GstRtspServer.RTSPStream.prototype.remove_transport(trans: GstRtspServer.RTSPStreamTransport): {
        // javascript wrapper for 'gst_rtsp_stream_remove_transport'
    }

Remove the transport in trans from stream. The media of stream will not be sent to the values configured in trans.

stream must be joined to a bin.

trans must contain a valid GstRtsp.RTSPTransport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (Number) –

true if trans was removed

#### GstRtspServer.RTSPStream.remove_transport

    def GstRtspServer.RTSPStream.remove_transport (self, trans):
        #python wrapper for 'gst_rtsp_stream_remove_transport'

Remove the transport in trans from stream. The media of stream will not be sent to the values configured in trans.

stream must be joined to a bin.

trans must contain a valid GstRtsp.RTSPTransport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (bool) –

True if trans was removed

#### gst_rtsp_stream_request_aux_receiver

    GstElement *
    gst_rtsp_stream_request_aux_receiver (GstRTSPStream * stream,
                                          guint sessid)

Creating a rtxreceive bin

Parameters:

`stream` –

a GstRTSPStream

`sessid` –

the session id

Returns ( [transfer: full][nullable]) –

a GstElement.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.request_aux_receiver

    function GstRtspServer.RTSPStream.prototype.request_aux_receiver(sessid: Number): {
        // javascript wrapper for 'gst_rtsp_stream_request_aux_receiver'
    }

Creating a rtxreceive bin

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`sessid` (Number) –

the session id

Returns (Gst.Element) –

a Gst.Element.

Since : 1.16

#### GstRtspServer.RTSPStream.request_aux_receiver

    def GstRtspServer.RTSPStream.request_aux_receiver (self, sessid):
        #python wrapper for 'gst_rtsp_stream_request_aux_receiver'

Creating a rtxreceive bin

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`sessid` (int) –

the session id

Returns (Gst.Element) –

a Gst.Element.

Since : 1.16

#### gst_rtsp_stream_request_aux_sender

    GstElement *
    gst_rtsp_stream_request_aux_sender (GstRTSPStream * stream,
                                        guint sessid)

Creating a rtxsend bin

Parameters:

`stream` –

a GstRTSPStream

`sessid` –

the session id

Returns ( [transfer: full][nullable]) –

a GstElement.

Since : 1.6

#### GstRtspServer.RTSPStream.prototype.request_aux_sender

    function GstRtspServer.RTSPStream.prototype.request_aux_sender(sessid: Number): {
        // javascript wrapper for 'gst_rtsp_stream_request_aux_sender'
    }

Creating a rtxsend bin

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`sessid` (Number) –

the session id

Returns (Gst.Element) –

a Gst.Element.

Since : 1.6

#### GstRtspServer.RTSPStream.request_aux_sender

    def GstRtspServer.RTSPStream.request_aux_sender (self, sessid):
        #python wrapper for 'gst_rtsp_stream_request_aux_sender'

Creating a rtxsend bin

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`sessid` (int) –

the session id

Returns (Gst.Element) –

a Gst.Element.

Since : 1.6

#### gst_rtsp_stream_request_ulpfec_decoder

    GstElement *
    gst_rtsp_stream_request_ulpfec_decoder (GstRTSPStream * stream,
                                            GstElement * rtpbin,
                                            guint sessid)

Creating a rtpulpfecdec element

Parameters:

`stream` –
No description available
`rtpbin` –
No description available
`sessid` –
No description available
Returns ( [transfer: full][nullable]) –

a GstElement.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.request_ulpfec_decoder

    function GstRtspServer.RTSPStream.prototype.request_ulpfec_decoder(rtpbin: Gst.Element, sessid: Number): {
        // javascript wrapper for 'gst_rtsp_stream_request_ulpfec_decoder'
    }

Creating a rtpulpfecdec element

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`rtpbin` (Gst.Element) –
No description available
`sessid` (Number) –
No description available
Returns (Gst.Element) –

a Gst.Element.

Since : 1.16

#### GstRtspServer.RTSPStream.request_ulpfec_decoder

    def GstRtspServer.RTSPStream.request_ulpfec_decoder (self, rtpbin, sessid):
        #python wrapper for 'gst_rtsp_stream_request_ulpfec_decoder'

Creating a rtpulpfecdec element

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`rtpbin` (Gst.Element) –
No description available
`sessid` (int) –
No description available
Returns (Gst.Element) –

a Gst.Element.

Since : 1.16

#### gst_rtsp_stream_request_ulpfec_encoder

    GstElement *
    gst_rtsp_stream_request_ulpfec_encoder (GstRTSPStream * stream,
                                            guint sessid)

Creating a rtpulpfecenc element

Parameters:

`stream` –
No description available
`sessid` –
No description available
Returns ( [transfer: full][nullable]) –

a GstElement.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.request_ulpfec_encoder

    function GstRtspServer.RTSPStream.prototype.request_ulpfec_encoder(sessid: Number): {
        // javascript wrapper for 'gst_rtsp_stream_request_ulpfec_encoder'
    }

Creating a rtpulpfecenc element

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`sessid` (Number) –
No description available
Returns (Gst.Element) –

a Gst.Element.

Since : 1.16

#### GstRtspServer.RTSPStream.request_ulpfec_encoder

    def GstRtspServer.RTSPStream.request_ulpfec_encoder (self, sessid):
        #python wrapper for 'gst_rtsp_stream_request_ulpfec_encoder'

Creating a rtpulpfecenc element

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`sessid` (int) –
No description available
Returns (Gst.Element) –

a Gst.Element.

Since : 1.16

#### gst_rtsp_stream_reserve_address

    GstRTSPAddress *
    gst_rtsp_stream_reserve_address (GstRTSPStream * stream,
                                     const gchar * address,
                                     guint port,
                                     guint n_ports,
                                     guint ttl)

Reserve address and port as the address and port of stream. The original GstRTSPAddress is cached and copy is returned, so freeing the return value won't release the address from the pool.

Parameters:

`stream` –

a GstRTSPStream

`address` –

an address

`port` –

a port

`n_ports` –

n_ports

`ttl` –

a TTL

Returns ( [nullable]) –

the GstRTSPAddress of stream or NULL when the address could not be reserved. gst_rtsp_address_free after usage.

#### GstRtspServer.RTSPStream.prototype.reserve_address

    function GstRtspServer.RTSPStream.prototype.reserve_address(address: String, port: Number, n_ports: Number, ttl: Number): {
        // javascript wrapper for 'gst_rtsp_stream_reserve_address'
    }

Reserve address and port as the address and port of stream. The original GstRtspServer.RTSPAddress is cached and copy is returned, so freeing the return value won't release the address from the pool.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`address` (String) –

an address

`port` (Number) –

a port

`n_ports` (Number) –

n_ports

`ttl` (Number) –

a TTL

Returns (GstRtspServer.RTSPAddress) –

the GstRtspServer.RTSPAddress of stream or null when the address could not be reserved. GstRtspServer.RTSPAddress.prototype.free after usage.

#### GstRtspServer.RTSPStream.reserve_address

    def GstRtspServer.RTSPStream.reserve_address (self, address, port, n_ports, ttl):
        #python wrapper for 'gst_rtsp_stream_reserve_address'

Reserve address and port as the address and port of stream. The original GstRtspServer.RTSPAddress is cached and copy is returned, so freeing the return value won't release the address from the pool.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`address` (str) –

an address

`port` (int) –

a port

`n_ports` (int) –

n_ports

`ttl` (int) –

a TTL

Returns (GstRtspServer.RTSPAddress) –

the GstRtspServer.RTSPAddress of stream or None when the address could not be reserved. GstRtspServer.RTSPAddress.free after usage.

#### gst_rtsp_stream_seekable

    gboolean
    gst_rtsp_stream_seekable (GstRTSPStream * stream)

Checks whether the individual stream is seekable.

Parameters:

`stream` –

a GstRTSPStream

Returns –

TRUE if stream is seekable, else FALSE.

Since : 1.14

#### GstRtspServer.RTSPStream.prototype.seekable

    function GstRtspServer.RTSPStream.prototype.seekable(): {
        // javascript wrapper for 'gst_rtsp_stream_seekable'
    }

Checks whether the individual stream is seekable.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

true if stream is seekable, else false.

Since : 1.14

#### GstRtspServer.RTSPStream.seekable

    def GstRtspServer.RTSPStream.seekable (self):
        #python wrapper for 'gst_rtsp_stream_seekable'

Checks whether the individual stream is seekable.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

True if stream is seekable, else False.

Since : 1.14

#### gst_rtsp_stream_set_address_pool

    gst_rtsp_stream_set_address_pool (GstRTSPStream * stream,
                                      GstRTSPAddressPool * pool)

configure pool to be used as the address pool of stream.

Parameters:

`stream` –

a GstRTSPStream

`pool` ( [transfer: none][nullable]) –

a GstRTSPAddressPool

#### GstRtspServer.RTSPStream.prototype.set_address_pool

    function GstRtspServer.RTSPStream.prototype.set_address_pool(pool: GstRtspServer.RTSPAddressPool): {
        // javascript wrapper for 'gst_rtsp_stream_set_address_pool'
    }

configure pool to be used as the address pool of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`pool` (GstRtspServer.RTSPAddressPool) –

a GstRtspServer.RTSPAddressPool

#### GstRtspServer.RTSPStream.set_address_pool

    def GstRtspServer.RTSPStream.set_address_pool (self, pool):
        #python wrapper for 'gst_rtsp_stream_set_address_pool'

configure pool to be used as the address pool of stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`pool` (GstRtspServer.RTSPAddressPool) –

a GstRtspServer.RTSPAddressPool

#### gst_rtsp_stream_set_bind_mcast_address

    gst_rtsp_stream_set_bind_mcast_address (GstRTSPStream * stream,
                                            gboolean bind_mcast_addr)

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`stream` –

a GstRTSPStream,

`bind_mcast_addr` –

the new value

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.set_bind_mcast_address

    function GstRtspServer.RTSPStream.prototype.set_bind_mcast_address(bind_mcast_addr: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_bind_mcast_address'
    }

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream,

`bind_mcast_addr` (Number) –

the new value

Since : 1.16

#### GstRtspServer.RTSPStream.set_bind_mcast_address

    def GstRtspServer.RTSPStream.set_bind_mcast_address (self, bind_mcast_addr):
        #python wrapper for 'gst_rtsp_stream_set_bind_mcast_address'

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream,

`bind_mcast_addr` (bool) –

the new value

Since : 1.16

#### gst_rtsp_stream_set_blocked

    gboolean
    gst_rtsp_stream_set_blocked (GstRTSPStream * stream,
                                 gboolean blocked)

Blocks or unblocks the dataflow on stream.

Parameters:

`stream` –

a GstRTSPStream

`blocked` –

boolean indicating we should block or unblock

Returns –

TRUE on success

#### GstRtspServer.RTSPStream.prototype.set_blocked

    function GstRtspServer.RTSPStream.prototype.set_blocked(blocked: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_blocked'
    }

Blocks or unblocks the dataflow on stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`blocked` (Number) –

boolean indicating we should block or unblock

Returns (Number) –

true on success

#### GstRtspServer.RTSPStream.set_blocked

    def GstRtspServer.RTSPStream.set_blocked (self, blocked):
        #python wrapper for 'gst_rtsp_stream_set_blocked'

Blocks or unblocks the dataflow on stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`blocked` (bool) –

boolean indicating we should block or unblock

Returns (bool) –

True on success

#### gst_rtsp_stream_set_buffer_size

    gst_rtsp_stream_set_buffer_size (GstRTSPStream * stream,
                                     guint size)

Set the size of the UDP transmission buffer (in bytes) Needs to be set before the stream is joined to a bin.

Parameters:

`stream` –

a GstRTSPStream

`size` –

the buffer size

Since : 1.6

#### GstRtspServer.RTSPStream.prototype.set_buffer_size

    function GstRtspServer.RTSPStream.prototype.set_buffer_size(size: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_buffer_size'
    }

Set the size of the UDP transmission buffer (in bytes) Needs to be set before the stream is joined to a bin.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`size` (Number) –

the buffer size

Since : 1.6

#### GstRtspServer.RTSPStream.set_buffer_size

    def GstRtspServer.RTSPStream.set_buffer_size (self, size):
        #python wrapper for 'gst_rtsp_stream_set_buffer_size'

Set the size of the UDP transmission buffer (in bytes) Needs to be set before the stream is joined to a bin.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`size` (int) –

the buffer size

Since : 1.6

#### gst_rtsp_stream_set_client_side

    gst_rtsp_stream_set_client_side (GstRTSPStream * stream,
                                     gboolean client_side)

Sets the GstRTSPStream as a 'client side' stream - used for sending streams to an RTSP server via RECORD. This has the practical effect of changing which UDP port numbers are used when setting up the local side of the stream sending to be either the 'server' or 'client' pair of a configured UDP transport.

Parameters:

`stream` –

a GstRTSPStream

`client_side` –

TRUE if this GstRTSPStream is running on the 'client' side of an RTSP connection.

#### GstRtspServer.RTSPStream.prototype.set_client_side

    function GstRtspServer.RTSPStream.prototype.set_client_side(client_side: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_client_side'
    }

Sets the GstRtspServer.RTSPStream as a 'client side' stream - used for sending streams to an RTSP server via RECORD. This has the practical effect of changing which UDP port numbers are used when setting up the local side of the stream sending to be either the 'server' or 'client' pair of a configured UDP transport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`client_side` (Number) –

TRUE if this GstRtspServer.RTSPStream is running on the 'client' side of an RTSP connection.

#### GstRtspServer.RTSPStream.set_client_side

    def GstRtspServer.RTSPStream.set_client_side (self, client_side):
        #python wrapper for 'gst_rtsp_stream_set_client_side'

Sets the GstRtspServer.RTSPStream as a 'client side' stream - used for sending streams to an RTSP server via RECORD. This has the practical effect of changing which UDP port numbers are used when setting up the local side of the stream sending to be either the 'server' or 'client' pair of a configured UDP transport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`client_side` (bool) –

TRUE if this GstRtspServer.RTSPStream is running on the 'client' side of an RTSP connection.

#### gst_rtsp_stream_set_control

    gst_rtsp_stream_set_control (GstRTSPStream * stream,
                                 const gchar * control)

Set the control string in stream.

Parameters:

`stream` –

a GstRTSPStream

`control` ( [nullable]) –

a control string

#### GstRtspServer.RTSPStream.prototype.set_control

    function GstRtspServer.RTSPStream.prototype.set_control(control: String): {
        // javascript wrapper for 'gst_rtsp_stream_set_control'
    }

Set the control string in stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`control` (String) –

a control string

#### GstRtspServer.RTSPStream.set_control

    def GstRtspServer.RTSPStream.set_control (self, control):
        #python wrapper for 'gst_rtsp_stream_set_control'

Set the control string in stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`control` (str) –

a control string

#### gst_rtsp_stream_set_dscp_qos

    gst_rtsp_stream_set_dscp_qos (GstRTSPStream * stream,
                                  gint dscp_qos)

Configure the dscp qos of the outgoing sockets to dscp_qos.

Parameters:

`stream` –

a GstRTSPStream

`dscp_qos` –

a new dscp qos value (0-63, or -1 to disable)

#### GstRtspServer.RTSPStream.prototype.set_dscp_qos

    function GstRtspServer.RTSPStream.prototype.set_dscp_qos(dscp_qos: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_dscp_qos'
    }

Configure the dscp qos of the outgoing sockets to dscp_qos.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`dscp_qos` (Number) –

a new dscp qos value (0-63, or -1 to disable)

#### GstRtspServer.RTSPStream.set_dscp_qos

    def GstRtspServer.RTSPStream.set_dscp_qos (self, dscp_qos):
        #python wrapper for 'gst_rtsp_stream_set_dscp_qos'

Configure the dscp qos of the outgoing sockets to dscp_qos.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`dscp_qos` (int) –

a new dscp qos value (0-63, or -1 to disable)

#### gst_rtsp_stream_set_max_mcast_ttl

    gboolean
    gst_rtsp_stream_set_max_mcast_ttl (GstRTSPStream * stream,
                                       guint ttl)

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`stream` –

a GstRTSPStream

`ttl` –

the new multicast ttl value

Returns –

TRUE if the requested ttl has been set successfully.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.set_max_mcast_ttl

    function GstRtspServer.RTSPStream.prototype.set_max_mcast_ttl(ttl: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_max_mcast_ttl'
    }

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`ttl` (Number) –

the new multicast ttl value

Returns (Number) –

true if the requested ttl has been set successfully.

Since : 1.16

#### GstRtspServer.RTSPStream.set_max_mcast_ttl

    def GstRtspServer.RTSPStream.set_max_mcast_ttl (self, ttl):
        #python wrapper for 'gst_rtsp_stream_set_max_mcast_ttl'

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`ttl` (int) –

the new multicast ttl value

Returns (bool) –

True if the requested ttl has been set successfully.

Since : 1.16

#### gst_rtsp_stream_set_mtu

    gst_rtsp_stream_set_mtu (GstRTSPStream * stream,
                             guint mtu)

Configure the mtu in the payloader of stream to mtu.

Parameters:

`stream` –

a GstRTSPStream

`mtu` –

a new MTU

#### GstRtspServer.RTSPStream.prototype.set_mtu

    function GstRtspServer.RTSPStream.prototype.set_mtu(mtu: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_mtu'
    }

Configure the mtu in the payloader of stream to mtu.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`mtu` (Number) –

a new MTU

#### GstRtspServer.RTSPStream.set_mtu

    def GstRtspServer.RTSPStream.set_mtu (self, mtu):
        #python wrapper for 'gst_rtsp_stream_set_mtu'

Configure the mtu in the payloader of stream to mtu.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`mtu` (int) –

a new MTU

#### gst_rtsp_stream_set_multicast_iface

    gst_rtsp_stream_set_multicast_iface (GstRTSPStream * stream,
                                         const gchar * multicast_iface)

configure multicast_iface to be used for stream.

Parameters:

`stream` –

a GstRTSPStream

`multicast_iface` ( [transfer: none][nullable]) –

a multicast interface name

#### GstRtspServer.RTSPStream.prototype.set_multicast_iface

    function GstRtspServer.RTSPStream.prototype.set_multicast_iface(multicast_iface: String): {
        // javascript wrapper for 'gst_rtsp_stream_set_multicast_iface'
    }

configure multicast_iface to be used for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`multicast_iface` (String) –

a multicast interface name

#### GstRtspServer.RTSPStream.set_multicast_iface

    def GstRtspServer.RTSPStream.set_multicast_iface (self, multicast_iface):
        #python wrapper for 'gst_rtsp_stream_set_multicast_iface'

configure multicast_iface to be used for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`multicast_iface` (str) –

a multicast interface name

#### gst_rtsp_stream_set_profiles

    gst_rtsp_stream_set_profiles (GstRTSPStream * stream,
                                  GstRTSPProfile profiles)

Configure the allowed profiles for stream.

Parameters:

`stream` –

a GstRTSPStream

`profiles` –

the new profiles

#### GstRtspServer.RTSPStream.prototype.set_profiles

    function GstRtspServer.RTSPStream.prototype.set_profiles(profiles: GstRtsp.RTSPProfile): {
        // javascript wrapper for 'gst_rtsp_stream_set_profiles'
    }

Configure the allowed profiles for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`profiles` (GstRtsp.RTSPProfile) –

the new profiles

#### GstRtspServer.RTSPStream.set_profiles

    def GstRtspServer.RTSPStream.set_profiles (self, profiles):
        #python wrapper for 'gst_rtsp_stream_set_profiles'

Configure the allowed profiles for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`profiles` (GstRtsp.RTSPProfile) –

the new profiles

#### gst_rtsp_stream_set_protocols

    gst_rtsp_stream_set_protocols (GstRTSPStream * stream,
                                   GstRTSPLowerTrans protocols)

Configure the allowed lower transport for stream.

Parameters:

`stream` –

a GstRTSPStream

`protocols` –

the new flags

#### GstRtspServer.RTSPStream.prototype.set_protocols

    function GstRtspServer.RTSPStream.prototype.set_protocols(protocols: GstRtsp.RTSPLowerTrans): {
        // javascript wrapper for 'gst_rtsp_stream_set_protocols'
    }

Configure the allowed lower transport for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`protocols` (GstRtsp.RTSPLowerTrans) –

the new flags

#### GstRtspServer.RTSPStream.set_protocols

    def GstRtspServer.RTSPStream.set_protocols (self, protocols):
        #python wrapper for 'gst_rtsp_stream_set_protocols'

Configure the allowed lower transport for stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`protocols` (GstRtsp.RTSPLowerTrans) –

the new flags

#### gst_rtsp_stream_set_pt_map

    gst_rtsp_stream_set_pt_map (GstRTSPStream * stream,
                                guint pt,
                                GstCaps * caps)

Configure a pt map between pt and caps.

Parameters:

`stream` –

a GstRTSPStream

`pt` –

the pt

`caps` –

a GstCaps

#### GstRtspServer.RTSPStream.prototype.set_pt_map

    function GstRtspServer.RTSPStream.prototype.set_pt_map(pt: Number, caps: Gst.Caps): {
        // javascript wrapper for 'gst_rtsp_stream_set_pt_map'
    }

Configure a pt map between pt and caps.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`pt` (Number) –

the pt

`caps` (Gst.Caps) –

a Gst.Caps

#### GstRtspServer.RTSPStream.set_pt_map

    def GstRtspServer.RTSPStream.set_pt_map (self, pt, caps):
        #python wrapper for 'gst_rtsp_stream_set_pt_map'

Configure a pt map between pt and caps.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`pt` (int) –

the pt

`caps` (Gst.Caps) –

a Gst.Caps

#### gst_rtsp_stream_set_publish_clock_mode

    gst_rtsp_stream_set_publish_clock_mode (GstRTSPStream * stream,
                                            GstRTSPPublishClockMode mode)

Sets if and how the stream clock should be published according to RFC7273.

Parameters:

`stream` –

a GstRTSPStream

`mode` –

the clock publish mode

Since : 1.8

#### GstRtspServer.RTSPStream.prototype.set_publish_clock_mode

    function GstRtspServer.RTSPStream.prototype.set_publish_clock_mode(mode: GstRtspServer.RTSPPublishClockMode): {
        // javascript wrapper for 'gst_rtsp_stream_set_publish_clock_mode'
    }

Sets if and how the stream clock should be published according to RFC7273.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`mode` (GstRtspServer.RTSPPublishClockMode) –

the clock publish mode

Since : 1.8

#### GstRtspServer.RTSPStream.set_publish_clock_mode

    def GstRtspServer.RTSPStream.set_publish_clock_mode (self, mode):
        #python wrapper for 'gst_rtsp_stream_set_publish_clock_mode'

Sets if and how the stream clock should be published according to RFC7273.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`mode` (GstRtspServer.RTSPPublishClockMode) –

the clock publish mode

Since : 1.8

#### gst_rtsp_stream_set_rate_control

    gst_rtsp_stream_set_rate_control (GstRTSPStream * stream,
                                      gboolean enabled)

Define whether stream will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Parameters:

`stream` –
No description available
`enabled` –
No description available

Since : 1.18

#### GstRtspServer.RTSPStream.prototype.set_rate_control

    function GstRtspServer.RTSPStream.prototype.set_rate_control(enabled: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_rate_control'
    }

Define whether stream will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`enabled` (Number) –
No description available

Since : 1.18

#### GstRtspServer.RTSPStream.set_rate_control

    def GstRtspServer.RTSPStream.set_rate_control (self, enabled):
        #python wrapper for 'gst_rtsp_stream_set_rate_control'

Define whether stream will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`enabled` (bool) –
No description available

Since : 1.18

#### gst_rtsp_stream_set_retransmission_pt

    gst_rtsp_stream_set_retransmission_pt (GstRTSPStream * stream,
                                           guint rtx_pt)

Set the payload type (pt) for retransmission of this stream.

Parameters:

`stream` –

a GstRTSPStream

`rtx_pt` –

a guint

#### GstRtspServer.RTSPStream.prototype.set_retransmission_pt

    function GstRtspServer.RTSPStream.prototype.set_retransmission_pt(rtx_pt: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_retransmission_pt'
    }

Set the payload type (pt) for retransmission of this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`rtx_pt` (Number) –

a Number

#### GstRtspServer.RTSPStream.set_retransmission_pt

    def GstRtspServer.RTSPStream.set_retransmission_pt (self, rtx_pt):
        #python wrapper for 'gst_rtsp_stream_set_retransmission_pt'

Set the payload type (pt) for retransmission of this stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`rtx_pt` (int) –

a int

#### gst_rtsp_stream_set_retransmission_time

    gst_rtsp_stream_set_retransmission_time (GstRTSPStream * stream,
                                             GstClockTime time)

Set the amount of time to store retransmission packets.

Parameters:

`stream` –

a GstRTSPStream

`time` –

a GstClockTime

#### GstRtspServer.RTSPStream.prototype.set_retransmission_time

    function GstRtspServer.RTSPStream.prototype.set_retransmission_time(time: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_retransmission_time'
    }

Set the amount of time to store retransmission packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`time` (Number) –

a Number

#### GstRtspServer.RTSPStream.set_retransmission_time

    def GstRtspServer.RTSPStream.set_retransmission_time (self, time):
        #python wrapper for 'gst_rtsp_stream_set_retransmission_time'

Set the amount of time to store retransmission packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`time` (int) –

a int

#### gst_rtsp_stream_set_seqnum_offset

    gst_rtsp_stream_set_seqnum_offset (GstRTSPStream * stream,
                                       guint16 seqnum)

Parameters:

`stream` –
No description available
`seqnum` –
No description available

#### GstRtspServer.RTSPStream.prototype.set_seqnum_offset

    function GstRtspServer.RTSPStream.prototype.set_seqnum_offset(seqnum: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_seqnum_offset'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`seqnum` (Number) –
No description available

#### GstRtspServer.RTSPStream.set_seqnum_offset

    def GstRtspServer.RTSPStream.set_seqnum_offset (self, seqnum):
        #python wrapper for 'gst_rtsp_stream_set_seqnum_offset'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`seqnum` (int) –
No description available

#### gst_rtsp_stream_set_ulpfec_percentage

    gst_rtsp_stream_set_ulpfec_percentage (GstRTSPStream * stream,
                                           guint percentage)

Sets the amount of redundancy to apply when creating ULPFEC protection packets.

Parameters:

`stream` –
No description available
`percentage` –
No description available

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.set_ulpfec_percentage

    function GstRtspServer.RTSPStream.prototype.set_ulpfec_percentage(percentage: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_ulpfec_percentage'
    }

Sets the amount of redundancy to apply when creating ULPFEC protection packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`percentage` (Number) –
No description available

Since : 1.16

#### GstRtspServer.RTSPStream.set_ulpfec_percentage

    def GstRtspServer.RTSPStream.set_ulpfec_percentage (self, percentage):
        #python wrapper for 'gst_rtsp_stream_set_ulpfec_percentage'

Sets the amount of redundancy to apply when creating ULPFEC protection packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`percentage` (int) –
No description available

Since : 1.16

#### gst_rtsp_stream_set_ulpfec_pt

    gst_rtsp_stream_set_ulpfec_pt (GstRTSPStream * stream,
                                   guint pt)

Set the payload type to be used for ULPFEC protection packets

Parameters:

`stream` –
No description available
`pt` –
No description available

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.set_ulpfec_pt

    function GstRtspServer.RTSPStream.prototype.set_ulpfec_pt(pt: Number): {
        // javascript wrapper for 'gst_rtsp_stream_set_ulpfec_pt'
    }

Set the payload type to be used for ULPFEC protection packets

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`pt` (Number) –
No description available

Since : 1.16

#### GstRtspServer.RTSPStream.set_ulpfec_pt

    def GstRtspServer.RTSPStream.set_ulpfec_pt (self, pt):
        #python wrapper for 'gst_rtsp_stream_set_ulpfec_pt'

Set the payload type to be used for ULPFEC protection packets

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
`pt` (int) –
No description available

Since : 1.16

#### gst_rtsp_stream_transport_filter

    GList *
    gst_rtsp_stream_transport_filter (GstRTSPStream * stream,
                                      GstRTSPStreamTransportFilterFunc func,
                                      gpointer user_data)

Call func for each transport managed by stream. The result value of func determines what happens to the transport. func will be called with stream locked so no further actions on stream can be performed from func.

If func returns GST_RTSP_FILTER_REMOVE, the transport will be removed from stream.

If func returns GST_RTSP_FILTER_KEEP, the transport will remain in stream.

If func returns GST_RTSP_FILTER_REF, the transport will remain in stream but will also be added with an additional ref to the result GList of this function..

When func is NULL, GST_RTSP_FILTER_REF will be assumed for each transport.

Parameters:

`stream` –

a GstRTSPStream

`func` ( [scope call][allow-none][closure]) –

a callback

`user_data` –

user data passed to func

Returns ( [element-type GstRTSPStreamTransport][transfer: full]) –

a GList with all transports for which func returned GST_RTSP_FILTER_REF. After usage, each element in the GList should be unreffed before the list is freed.

#### GstRtspServer.RTSPStream.prototype.transport_filter

    function GstRtspServer.RTSPStream.prototype.transport_filter(func: GstRtspServer.RTSPStreamTransportFilterFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_stream_transport_filter'
    }

Call func for each transport managed by stream. The result value of func determines what happens to the transport. func will be called with stream locked so no further actions on stream can be performed from func.

If func returns GstRtspServer.RTSPFilterResult.REMOVE, the transport will be removed from stream.

If func returns GstRtspServer.RTSPFilterResult.KEEP, the transport will remain in stream.

If func returns GstRtspServer.RTSPFilterResult.REF, the transport will remain in stream but will also be added with an additional ref to the result GLib.List of this function..

When func is null, GstRtspServer.RTSPFilterResult.REF will be assumed for each transport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`func` (GstRtspServer.RTSPStreamTransportFilterFunc) –

a callback

`user_data` (Object) –

user data passed to func

Returns ([ GstRtspServer.RTSPStreamTransport ]) –

a GLib.List with all transports for which func returned GstRtspServer.RTSPFilterResult.REF. After usage, each element in the GLib.List should be unreffed before the list is freed.

#### GstRtspServer.RTSPStream.transport_filter

    def GstRtspServer.RTSPStream.transport_filter (self, func, *user_data):
        #python wrapper for 'gst_rtsp_stream_transport_filter'

Call func for each transport managed by stream. The result value of func determines what happens to the transport. func will be called with stream locked so no further actions on stream can be performed from func.

If func returns GstRtspServer.RTSPFilterResult.REMOVE, the transport will be removed from stream.

If func returns GstRtspServer.RTSPFilterResult.KEEP, the transport will remain in stream.

If func returns GstRtspServer.RTSPFilterResult.REF, the transport will remain in stream but will also be added with an additional ref to the result GLib.List of this function..

When func is None, GstRtspServer.RTSPFilterResult.REF will be assumed for each transport.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`func` (GstRtspServer.RTSPStreamTransportFilterFunc) –

a callback

`user_data` (variadic) –

user data passed to func

Returns ([ GstRtspServer.RTSPStreamTransport ]) –

a GLib.List with all transports for which func returned GstRtspServer.RTSPFilterResult.REF. After usage, each element in the GLib.List should be unreffed before the list is freed.

#### gst_rtsp_stream_unblock_linked

    gboolean
    gst_rtsp_stream_unblock_linked (GstRTSPStream * stream)

Parameters:

`stream` –
No description available
Returns –
No description available

#### GstRtspServer.RTSPStream.prototype.unblock_linked

    function GstRtspServer.RTSPStream.prototype.unblock_linked(): {
        // javascript wrapper for 'gst_rtsp_stream_unblock_linked'
    }

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (Number) –
No description available

#### GstRtspServer.RTSPStream.unblock_linked

    def GstRtspServer.RTSPStream.unblock_linked (self):
        #python wrapper for 'gst_rtsp_stream_unblock_linked'

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available
Returns (bool) –
No description available

#### gst_rtsp_stream_unblock_rtcp

    gst_rtsp_stream_unblock_rtcp (GstRTSPStream * stream)

Remove blocking probe from the RTCP source. When creating an UDP source for RTCP it is initially blocked until this function is called. This functions should be called once the pipeline is ready for handling RTCP packets.

Parameters:

`stream` –
No description available

Since : 1.20

#### GstRtspServer.RTSPStream.prototype.unblock_rtcp

    function GstRtspServer.RTSPStream.prototype.unblock_rtcp(): {
        // javascript wrapper for 'gst_rtsp_stream_unblock_rtcp'
    }

Remove blocking probe from the RTCP source. When creating an UDP source for RTCP it is initially blocked until this function is called. This functions should be called once the pipeline is ready for handling RTCP packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available

Since : 1.20

#### GstRtspServer.RTSPStream.unblock_rtcp

    def GstRtspServer.RTSPStream.unblock_rtcp (self):
        #python wrapper for 'gst_rtsp_stream_unblock_rtcp'

Remove blocking probe from the RTCP source. When creating an UDP source for RTCP it is initially blocked until this function is called. This functions should be called once the pipeline is ready for handling RTCP packets.

Parameters:

`stream` (GstRtspServer.RTSPStream) –
No description available

Since : 1.20

#### gst_rtsp_stream_update_crypto

    gboolean
    gst_rtsp_stream_update_crypto (GstRTSPStream * stream,
                                   guint ssrc,
                                   GstCaps * crypto)

Update the new crypto information for ssrc in stream. If information for ssrc did not exist, it will be added. If information for ssrc existed, it will be replaced. If crypto is NULL, it will be removed from stream.

Parameters:

`stream` –

a GstRTSPStream

`ssrc` –

the SSRC

`crypto` ( [transfer: none][allow-none]) –

a GstCaps with crypto info

Returns –

TRUE if crypto could be updated

#### GstRtspServer.RTSPStream.prototype.update_crypto

    function GstRtspServer.RTSPStream.prototype.update_crypto(ssrc: Number, crypto: Gst.Caps): {
        // javascript wrapper for 'gst_rtsp_stream_update_crypto'
    }

Update the new crypto information for ssrc in stream. If information for ssrc did not exist, it will be added. If information for ssrc existed, it will be replaced. If crypto is null, it will be removed from stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`ssrc` (Number) –

the SSRC

`crypto` (Gst.Caps) –

a Gst.Caps with crypto info

Returns (Number) –

true if crypto could be updated

#### GstRtspServer.RTSPStream.update_crypto

    def GstRtspServer.RTSPStream.update_crypto (self, ssrc, crypto):
        #python wrapper for 'gst_rtsp_stream_update_crypto'

Update the new crypto information for ssrc in stream. If information for ssrc did not exist, it will be added. If information for ssrc existed, it will be replaced. If crypto is None, it will be removed from stream.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`ssrc` (int) –

the SSRC

`crypto` (Gst.Caps) –

a Gst.Caps with crypto info

Returns (bool) –

True if crypto could be updated

#### gst_rtsp_stream_verify_mcast_ttl

    gboolean
    gst_rtsp_stream_verify_mcast_ttl (GstRTSPStream * stream,
                                      guint ttl)

Check if the requested multicast ttl value is allowed.

Parameters:

`stream` –

a GstRTSPStream

`ttl` –

a requested multicast ttl

Returns –

TRUE if the requested ttl value is allowed.

Since : 1.16

#### GstRtspServer.RTSPStream.prototype.verify_mcast_ttl

    function GstRtspServer.RTSPStream.prototype.verify_mcast_ttl(ttl: Number): {
        // javascript wrapper for 'gst_rtsp_stream_verify_mcast_ttl'
    }

Check if the requested multicast ttl value is allowed.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`ttl` (Number) –

a requested multicast ttl

Returns (Number) –

TRUE if the requested ttl value is allowed.

Since : 1.16

#### GstRtspServer.RTSPStream.verify_mcast_ttl

    def GstRtspServer.RTSPStream.verify_mcast_ttl (self, ttl):
        #python wrapper for 'gst_rtsp_stream_verify_mcast_ttl'

Check if the requested multicast ttl value is allowed.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`ttl` (int) –

a requested multicast ttl

Returns (bool) –

TRUE if the requested ttl value is allowed.

Since : 1.16

### Signals

#### new-rtcp-encoder

    new_rtcp_encoder_callback (GstRTSPStream * self,
                               GstElement * object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### new-rtcp-encoder

    function new_rtcp_encoder_callback(self: GstRtspServer.RTSPStream, object: Gst.Element, user_data: Object): {
        // javascript callback for the 'new-rtcp-encoder' signal
    }

Parameters:

`self` (GstRtspServer.RTSPStream) –
No description available
`object` (Gst.Element) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### new-rtcp-encoder

    def new_rtcp_encoder_callback (self, object, *user_data):
        #python callback for the 'new-rtcp-encoder' signal

Parameters:

`self` (GstRtspServer.RTSPStream) –
No description available
`object` (Gst.Element) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### new-rtp-encoder

    new_rtp_encoder_callback (GstRTSPStream * self,
                              GstElement * object,
                              gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### new-rtp-encoder

    function new_rtp_encoder_callback(self: GstRtspServer.RTSPStream, object: Gst.Element, user_data: Object): {
        // javascript callback for the 'new-rtp-encoder' signal
    }

Parameters:

`self` (GstRtspServer.RTSPStream) –
No description available
`object` (Gst.Element) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### new-rtp-encoder

    def new_rtp_encoder_callback (self, object, *user_data):
        #python callback for the 'new-rtp-encoder' signal

Parameters:

`self` (GstRtspServer.RTSPStream) –
No description available
`object` (Gst.Element) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### new-rtp-rtcp-decoder

    new_rtp_rtcp_decoder_callback (GstRTSPStream * self,
                                   GstElement * object,
                                   gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### new-rtp-rtcp-decoder

    function new_rtp_rtcp_decoder_callback(self: GstRtspServer.RTSPStream, object: Gst.Element, user_data: Object): {
        // javascript callback for the 'new-rtp-rtcp-decoder' signal
    }

Parameters:

`self` (GstRtspServer.RTSPStream) –
No description available
`object` (Gst.Element) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### new-rtp-rtcp-decoder

    def new_rtp_rtcp_decoder_callback (self, object, *user_data):
        #python callback for the 'new-rtp-rtcp-decoder' signal

Parameters:

`self` (GstRtspServer.RTSPStream) –
No description available
`object` (Gst.Element) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### control

    “control” gchar *

Flags : Read / Write

#### control

    “control” String

Flags : Read / Write

#### control

    “self.props.control” str

Flags : Read / Write

#### profiles

    “profiles” GstRTSPProfile *

Flags : Read / Write

#### profiles

    “profiles” GstRtsp.RTSPProfile

Flags : Read / Write

#### profiles

    “self.props.profiles” GstRtsp.RTSPProfile

Flags : Read / Write

#### protocols

    “protocols” GstRTSPLowerTrans *

Flags : Read / Write

#### protocols

    “protocols” GstRtsp.RTSPLowerTrans

Flags : Read / Write

#### protocols

    “self.props.protocols” GstRtsp.RTSPLowerTrans

Flags : Read / Write

## Function Macros

### GST_RTSP_STREAM_CAST

    #define GST_RTSP_STREAM_CAST(obj)         ((GstRTSPStream*)(obj))

### GST_RTSP_STREAM_CLASS_CAST

    #define GST_RTSP_STREAM_CLASS_CAST(klass) ((GstRTSPStreamClass*)(klass))

## Callbacks

### GstRTSPStreamTransportFilterFunc

    GstRTSPFilterResult
    (*GstRTSPStreamTransportFilterFunc) (GstRTSPStream * stream,
                                         GstRTSPStreamTransport * trans,
                                         gpointer user_data)

This function will be called by the gst_rtsp_stream_transport_filter. An implementation should return a value of GstRTSPFilterResult.

When this function returns GST_RTSP_FILTER_REMOVE, trans will be removed from stream.

A return value of GST_RTSP_FILTER_KEEP will leave trans untouched in stream.

A value of GST_RTSP_FILTER_REF will add trans to the result GList of gst_rtsp_stream_transport_filter.

Parameters:

`stream` –

a GstRTSPStream object

`trans` –

a GstRTSPStreamTransport in stream

`user_data` –

user data that has been given to gst_rtsp_stream_transport_filter

Returns –

a GstRTSPFilterResult.

### GstRtspServer.RTSPStreamTransportFilterFunc

    function GstRtspServer.RTSPStreamTransportFilterFunc(stream: GstRtspServer.RTSPStream, trans: GstRtspServer.RTSPStreamTransport, user_data: Object): {
        // javascript wrapper for 'GstRTSPStreamTransportFilterFunc'
    }

This function will be called by the GstRtspServer.RTSPStream.prototype.transport_filter. An implementation should return a value of GstRtspServer.RTSPFilterResult.

When this function returns GstRtspServer.RTSPFilterResult.REMOVE, trans will be removed from stream.

A return value of GstRtspServer.RTSPFilterResult.KEEP will leave trans untouched in stream.

A value of GstRtspServer.RTSPFilterResult.REF will add trans to the result GLib.List of GstRtspServer.RTSPStream.prototype.transport_filter.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream object

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport in stream

`user_data` (Object) –

user data that has been given to GstRtspServer.RTSPStream.prototype.transport_filter

Returns (GstRtspServer.RTSPFilterResult) –

a GstRtspServer.RTSPFilterResult.

### GstRtspServer.RTSPStreamTransportFilterFunc

    def GstRtspServer.RTSPStreamTransportFilterFunc (stream, trans, *user_data):
        #python wrapper for 'GstRTSPStreamTransportFilterFunc'

This function will be called by the GstRtspServer.RTSPStream.transport_filter. An implementation should return a value of GstRtspServer.RTSPFilterResult.

When this function returns GstRtspServer.RTSPFilterResult.REMOVE, trans will be removed from stream.

A return value of GstRtspServer.RTSPFilterResult.KEEP will leave trans untouched in stream.

A value of GstRtspServer.RTSPFilterResult.REF will add trans to the result GLib.List of GstRtspServer.RTSPStream.transport_filter.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream object

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport in stream

`user_data` (variadic) –

user data that has been given to GstRtspServer.RTSPStream.transport_filter

Returns (GstRtspServer.RTSPFilterResult) –

a GstRtspServer.RTSPFilterResult.

The results of the search are